commit 8d79add36e806c3976b3860e870e3bec61681aae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Sep 4 18:09:04 2026 +0200

    PO file updates.

commit 700ba8a7c02336395182b8f2004a206dd990e29e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 2 21:28:51 2026 +0200

    Updated FreeBSD port.

commit ab19df84aaf7d7e7a7f8a90faad8e7162ef0de11
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 1 16:23:43 2026 +0200

    Updated APKBUILD file.

commit 46ec3f27549ea59e0a5ee86e3ded61ca8a367eb7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 31 16:27:43 2026 +0200

    New release td-system-tools-2.7.12.

commit 0b219ca51062396c85d114933be2e6d0361fe1f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 27 09:28:47 2026 +0000

    Improved SSHFP RR output.

commit c3c0f692061daee599598b41d1244e70f8890d06
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 27 09:00:11 2026 +0000

    Bugfix: Fixed querying the swap size under Solaris.

commit 54d2dbba2c6d4f1ba16b8ddf21a76356750f719f
Merge: 2e48c7d f7d36f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 11 14:52:15 2026 +0000

    WIP on master: 2e48c7d Updated FreeBSD port.

commit 2e48c7d12ac602575a36ce4d19e53f700de8b92f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 13:49:50 2026 +0200

    Updated FreeBSD port.

commit 2d15c6435117cd7344777bb282d09f30481b08da
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 13:21:42 2026 +0200

    Updated APKBUILD file.

commit 7a87b24841deddc5c6d5c27f9718001667375054
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 12:49:30 2026 +0200

    New release td-system-tools-2.7.11.

commit 38752f318e2dec60f918678400c8cb7755e042eb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 11:26:42 2026 +0200

    Further clean-ups.

commit 776e793eca014c49a661105c628b399fd203b235
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 11:24:23 2026 +0200

    Further ShellCheck clean-ups.

commit 660a4174809a25da69ad67ca390466e376cc1d53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 11:19:56 2026 +0200

    Minor clean-up.

commit 96983e49205334ba499846d12cff8a7675d1ca92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 31 11:19:06 2026 +0200

    Improved compatibility of ShellCheck script.

commit 4b779c0d543f127805a5cc7f95e7ffd21d6f78f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 15:11:18 2026 +0200

    Updated PO files.

commit ef723836537074580f41524970d0c76358e18893
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 13:08:31 2026 +0000

    Solaris UTF-8 character width computation fix.

commit 5ba247e608aae3bbb0badde0866172f113a82da4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 14:34:46 2026 +0200

    Updated translations.

commit 23f14ac5698a53e8a330412b7a4a52739c259c7c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 14:28:12 2026 +0200

    Improved checks for Bash version and enhanced getopt.

commit 0e00b3fb1e1323fdeaac952cd9a5c522c1c109df
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 12:58:39 2026 +0200

    Also need to set TEXTDOMAINDIR in scripts explicitly.

commit 39a99cfe9e7669d92e62245a8a66629a64b8e567
Merge: 727a9c6 d13052b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 12:42:43 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 727a9c6306d6073b41242b26511e344754a0a62f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 28 12:41:57 2026 +0200

    Explicitly set locale directory in bindtextdomain() call.

commit d13052bb7adb6d57d5fc94a246932d0da8100f9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 27 20:49:26 2026 +0000

    Updated comment.

commit 354674a0425a25975e2ccfb6dfa8e408dd705c98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 27 20:46:58 2026 +0000

    Added Solaris battery status block.

commit 7394954f5f0000425372b73f736e9711fede8b04
Merge: 8d67bd5 825fcf2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 27 15:45:14 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 8d67bd5f749c54f04b5f2dddf6f2d8799f7a7565
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 27 15:45:00 2026 +0200

    Improved example.

commit c656075f9f9d427c81b2ef66648436c53ebd3361
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 27 15:44:22 2026 +0200

    Added test script.

commit 825fcf2551699165b552a0d873f8e1e797ff2d8a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 21:21:11 2026 +0000

    Fixed Debian/armhf build issue.

commit 3acd852be15d3d35f2e9971981e14ea106418e14
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 22:36:45 2026 +0200

    CMakeLists.txt update to use C23.

commit 99d67b708afe8e44a8edbf119aae5e2b46045aae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 22:02:54 2026 +0200

    Updated PO files.

commit 617101234edd861a44d6bd7f2e74da3129e452a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 22:02:17 2026 +0200

    No need for "long double" type any more.

commit e3dadb615f3fc7077a717e45a14c17d69f10a264
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 22:01:09 2026 +0200

    Code clean-ups for the Unix timestamp printing code.

commit 12a68785ef2c9372829969b9a3844b8ca35d7265
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 21:46:28 2026 +0200

    Code clean-ups for the Unix timestamp parsing code.

commit f376782383556f72cf82846589a215c6911f98f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 11:13:27 2026 +0200

    Updated PO files.

commit 6b8ac5e4c35dabd8e33252229312ada7b61a3ebd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 09:10:11 2026 +0000

    Solaris UTF-8 handling fix: Using libicuuc-based replacement for wcswidth() to properly compute UTF-8 string widths.

commit 9cd13594b2cc4250bff254cc787dd629b683e9cc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 10:30:57 2026 +0200

    Also improved the company logo example.

commit 9c3b70f889fd7bb29027bf584d52ecb0381fc33e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 10:25:17 2026 +0200

    Some improvements for the hostname example script.

commit 3b595ec7a20bbe0a05b979440e77edf8a97b1bf3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jul 24 10:12:10 2026 +0200

    Improved example scripts.

commit abfa84040a77661d8decd7407906860add8924d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 21:01:47 2026 +0000

    Added explicit type casts to fix warnings under Solaris.

commit a842b160ab588712c11470a3a03517e47ad5ac02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 22:09:52 2026 +0200

    Dependency update: Using libsystemd on SystemD-based systems.

commit c83cc748cf458171e99ec0d125d2be4f94f557c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 22:03:47 2026 +0200

    Improved CMakeLists.txt.

commit 639e678403be32b1807839a631fb37010d0c69fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 21:46:48 2026 +0200

    Some clean-ups.

commit 24ca732b9cee4bb31bb7588e1b6733629938133d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 21:41:31 2026 +0200

    Replaced deprecated sys/termios.h by termios.h.

commit cea58e9d456f8053616ed2019502a2929155015c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 21:40:32 2026 +0200

    Added SystemD support to obtain the number of user sessions, e.g. under Ubuntu 26.04.

commit e7e857c83ba51f8b805f7dce9d5e9b7c4845df63
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 15:45:54 2026 +0000

    Added type casts.

commit 5c3765cf214a2902357d3b7ed14708ae6c9c9816
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 16:29:49 2026 +0200

    Yet another update of the example.

commit 118973a79647e5b1627f15c1b93ce5ccd0924b14
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 16:28:28 2026 +0200

    Simplified CMakeLists.txt.

commit 265f65a33c741955d608a188355c3c67a3ffe381
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 16:26:06 2026 +0200

    Simplified example.

commit 3c4a33e1de1f7d6edc531f795febd425f6f7fb5a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 16:21:15 2026 +0200

    Further improvements of the banner example.

commit e54b3fa3e2bf50e9ee523b55115991a89f6e57f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 16:09:22 2026 +0200

    Improved example.

commit 179f6671d89aada6bf5652f180431a629169ef3b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 15:55:03 2026 +0200

    C23 build fix.

commit 06ef1fe184a50f1cf0d1616e3b42331e69ec8790
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 13:30:57 2026 +0000

    Fixed Solaris hostname configuration.

commit 114d97eaa54a29d4481117effb1056d00026c33c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 13:14:27 2026 +0000

    Added missing solaris case for hostname update.

commit 7156ad43889f5b823d238ae25282def31eaf480e
Merge: 8c92e5c 881d26f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 15:00:53 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 8c92e5c349f344f062c556e7a6248b29428fd047
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 14:59:58 2026 +0200

    NetBSD fix: Using mbuffer "-s 64k" instead of "-s 16k", to avoid warning.

commit 881d26f04baeaa187afe862b1e66138c4375c040
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 23 14:10:37 2026 +0200

    NetBSD configuration directory lookup fix.

commit a094ca89c582b43f1760efa599943b2474acecf7
Merge: 064663e 3c58098
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 21 14:01:13 2026 +0200

    Merge branch 'master' of https://github.com/dreibh/system-tools

commit 064663e00ed13c690b5faa14c37b931bfd8aad96
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 21 14:01:06 2026 +0200

    CMakeLists.txt clean-ups.

commit 3c5809817c094bf2a12ecd1fd02cc710f74800db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Jul 19 13:10:45 2026 +0200

    NetBSD fonts path fix.

commit c6c8b735d43bb7d0bb872deca31c6db50d44f20f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 16:44:19 2026 +0200

    Updated build helper script.

commit b287addf39fd4ec7bb02222a71da77435dc8e681
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 15:26:53 2026 +0200

    Further NetBSD improvements in CMakeLists.txt.

commit 01fce603b9754e3d3119235cc05d4b4178324b3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 15:10:59 2026 +0200

    Improved build helper script.

commit 36c70ed351b7427d82a2adf48ed55a938eb97680
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 15:00:38 2026 +0200

    CMakeLists.txt fix for NetBSD: need to set CMAKE_INSTALL_RPATH_USE_LINK_PATH if necessary.

commit c1f8da8e3ea626d96511e92cdedcf583f58acede
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 13:48:54 2026 +0200

    Also updated the other GIMP scripts.

commit c170390f638c54d89d73129510ddf86da6d86b31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 13:45:44 2026 +0200

    Minor update.

commit 3e2f3048b578a3048473a1a2d43e230bc2cff749
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 18 13:42:53 2026 +0200

    Improved OpenBSD support.

commit 4405b07341218d9f8afdff0daf9965e324e68502
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 17:16:25 2026 +0200

    Improved APKBUILD file.

commit 48d71683cd40b62192f133df063166d741ec0674
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 16:58:22 2026 +0200

    Updated FreeBSD port.

commit 7d7f06abc812974c85a7c4c9e2d9032c9ffeafa4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 16:35:37 2026 +0200

    New release td-system-tools-2.7.10.

commit b943f1c0cdca9d7ac9732e6c1ae9611ab0ce01a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 16:16:47 2026 +0200

    Bugfix: Fixed invalid default parameter for tile type.

commit f2d8d7aa7f7f9fac3162ef42e0e4e2324251bf07
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 13:56:36 2026 +0000

    Minor test script update.

commit 2632b9d9878fb02aceb5aef9a0a4eb6d81610ed2
Merge: 4de5d41 a0b129d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 15:06:34 2026 +0200

    Merge branch 'dreibh/unix-timestamp' of https://github.com/dreibh/system-tools into dreibh/unix-timestamp

commit 4de5d4178cc1ee67c9a2054c79957250c8e0bb33
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 15:06:14 2026 +0200

    RPM spec improvements.

commit a0b129dbc852cf48adb3ac84c6af8073b333c931
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 14:51:32 2026 +0200

    Translation improvements.

commit dc44e2c1f92b2c379d64c66ebdd97419a0c69dcd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 14:42:55 2026 +0200

    Updated translations.

commit 5a1662f0fadd87bb840c8a116314b895d8649b18
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 14:37:19 2026 +0200

    Bugfix: Fixed wrong colouring sequence in log output.

commit 41cd3ab08f02118031401ba6372a0b741ba1ee84
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 14:24:11 2026 +0200

    CRL format detection improvement.

commit 1c3fa8594a3aeacd53e722096d4c2699576d577f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 14:03:41 2026 +0200

    Locale handling fix.

commit 0b379b3509e3328abcc0ea7fa254d243db9b6739
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 13:24:46 2026 +0200

    Added work-around for Solaris (OpenIndiana) parameter handling problem in GnuTLS certtool (https://gitlab.com/gnutls/gnutls/-/work_items/1916).

commit 877b593d2c79c1ce203c40e09262cd0229bfeb24
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 11:52:53 2026 +0200

    Dependency update for using UNIX Timestamp Tools in X.509 Tools.

commit f51ec34fbf9007c75c505a92cc641206101bee32
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 11:50:12 2026 +0200

    Using Unix-Timestamp Tools for date printing, to provide platform-independent handling.

commit 7078880c7a7fe5eccac11b4ebc600a07fecf5f26
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 11:41:28 2026 +0200

    Minor clean-ups.

commit 04ac504b966f2a3a6ca7d3fc9ddb8347804eb97b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 11:36:19 2026 +0200

    Minor clean-ups.

commit a4f9eac76554b84b8ab43c9137b6aa6ac9bde520
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 11:06:27 2026 +0200

    C23 output improvements.

commit 4c8d4ed64b666b8ec0161187c3067c5acc471c61
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 10:39:08 2026 +0200

    C23 improvement.

commit 0151ddfc5728db5dfaa338aee1e2dfb49819a73e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 10:31:49 2026 +0200

    Further clean-ups.

commit 7cba79b66b856fbfead262f9ca402668e171be49
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 10:10:52 2026 +0200

    Minor clean-up.

commit a94aebcb3187149faaef1aaad587dff8da1f2e09
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 10:10:38 2026 +0200

    Improved format template handling for printing of fractional seconds.

commit f24c055d40c3538e6dd6740659e11d1e9d077fb1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 09:37:59 2026 +0200

    Minor clean-up.

commit 7f3665b9f8242376db48872d340a20e1ceeaaa71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 09:37:44 2026 +0200

    Updated manpages.

commit cc2d43760579a276855c9beb5aa478a739888757
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 09:26:44 2026 +0200

    Updated shell completions.

commit 9716ce3168f291cbb3989637728331443f5bc4e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 16 00:28:15 2026 +0200

    Improved format template handling for parsing of fractional seconds.

commit d9974d5c8b645c2e8ee95bb253fa191b3ed5eb51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 22:58:44 2026 +0200

    Added option to set the strftime() format string for printing the date/time strings.

commit 9c1c052103ad87397866f13396e49672db99c77a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 22:48:54 2026 +0200

    Added option to set the strptime() format string for parsing the date/time strings.

commit bd000673671451608d9c8054e21ce1f4cf309cfc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:55:07 2026 +0200

    Some code clean-ups.

commit 2531b0233075a95422bd1ce5e1b42c61cd4f7b1d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:53:56 2026 +0200

    Removed debug code.

commit f86ff527a5cc3890c37684b8d7b9634342a67b16
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:51:07 2026 +0200

    Updated PO files.

commit c7f5ae4032ca386afd5914b5aea6f886b3aa2e87
Merge: aa1132c 193e1a1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:50:44 2026 +0200

    Merge branch 'dreibh/solaris'

commit 193e1a1ab2dbddcae51d9b65940de42a29ec4e28
Merge: 51843f8 83d83fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:50:02 2026 +0200

    Merge branch 'dreibh/solaris' of https://github.com/dreibh/system-tools into dreibh/solaris

commit 51843f883489ebb51e28d428faa7df8230485687
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:49:42 2026 +0200

    Improved path handling.

commit aa1132c98502a62b91e3ef27691362152868a4d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:08:36 2026 +0200

    New release td-system-tools-2.7.9.

commit 83d83fbbf44f979407eed11c8c9b291a361eea0e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 17:05:21 2026 +0200

    Minor CMakeLists.txt improvements.

commit b3805ce366649a4ef434acb47e4d77c391c00e4b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 15:32:18 2026 +0200

    Some clean-ups.

commit cbc88e348c58c031e21923561c021769f1d9633a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 15:28:11 2026 +0200

    Python netifaces is unmaintained since a long time -> replaced by psutil.

commit 174e33b6fa26307e95c54d40005b26ccc6868e25
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 14:06:01 2026 +0200

    Compatibility improvements and added Solaris support.

commit 41cd5b908e0c70876f13953bf738805a44fcbe04
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:49:07 2026 +0200

    Further Solaris support work.

commit 87980c497798b14f255a2f7177d4d8a1be094ace
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:36:26 2026 +0200

    Fixed duplicated case introduced in the previous commit.

commit 0129dfc37a490e0960d0741314d03f3cf3e3c726
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:34:57 2026 +0200

    Updated getopt handling code with Solaris support.

commit 6d35159a9ab2ce6d6f0bda1fd901e9a0463c2f3e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:22:35 2026 +0200

    Added process count part for Solaris.

commit ef4761e92e92df26e04e2e939cd6ddbaffaec160
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:18:35 2026 +0200

    Some clean-ups.

commit b2efceef18e222145f25097a384db5cfb490ed56
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:14:25 2026 +0200

    Added Solaris swap details.

commit b5075cfe2d530194e3812c28e520abbbb5444765
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 13:10:04 2026 +0200

    Added Solaris memory details.

commit 718ffb0c822757c14760108797a18c66da1e01ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 12:23:29 2026 +0200

    Solaris compatibility fix.

commit 91a0687d2870c56409816684fa70b4ddab0f3b98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 12:18:04 2026 +0200

    Added Solaris support.

commit 3d4de74312ab02591e839984aab504e469e2dc2c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:50:02 2026 +0200

    Added linking support for Solaris: libsocket and libnsl are needed.

commit 029c71296eaa99cf424bef5647e1f1189768fbe4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:49:31 2026 +0200

    Solaris support fix.

commit e31b5e82e7e6a404640edb894b7e23ad6fad65be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:42:03 2026 +0200

    Added Solaris compile support. Linking support still needs work.

commit 604d1e92cc39de54b6c64d67688a6f00206b67c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:17:50 2026 +0200

    Added Solaris support.

commit f6d6422ad7393fef75e5f5eb9b042b9e6488799f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:08:08 2026 +0200

    Updated autogen.sh with support for OpenIndiana (i.e. SunOS, Solaris).

commit 8beb4e7c94b676040cfb83804da4f8f62405c7c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 15 11:07:17 2026 +0200

    Updated CMakeLists.txt with support for OpenIndiana (i.e. SunOS, Solaris).

commit 20b20ab4904fc41e342a2d51c26e7bd4696b769b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 11 13:21:29 2026 +0200

    New release td-system-tools-2.7.8.

commit 7d427d0ee7ec886f17c1f9742a58ff65ed5800d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jul 11 11:36:12 2026 +0200

    Fixed regression.

commit 8dff116efc567483ccc18c4b6729dcf5e697d163
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jul 6 10:32:08 2026 +0200

    Improved X.509 example.

commit 1a23edcefaa3e9038e8091f74daea938c3c6715b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 2 17:43:49 2026 +0200

    Updated FreeBSD port.

commit 859b8eb55cce725dab4b7dc15c4a032c5e9dfe8c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jul 2 10:09:16 2026 +0200

    FreeBSD port update.

commit 3a8c980d278c0534ea9a53f730c6110df987267b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 15:44:20 2026 +0200

    Updated APKBUILD file.

commit b355d939157873c36cc35cbfa2c337eccd8dcddb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 15:40:15 2026 +0200

    New release td-system-tools-2.7.7.

commit 36b2dff3d6781f37bb8047ef0c0de4b1367e1c01
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 15:39:25 2026 +0200

    Updated PO files.

commit 5f9134f4b511980061075c1f853fd5b805900c59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 15:24:32 2026 +0200

    Improved GIMP log output filter rules.

commit 48e6dc063de894eb4179af0187aac894dade29d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 15:08:59 2026 +0200

    Improved script.

commit 5bb919c9f4c8173ebda5786577a6c71033ebf575
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 14:13:18 2026 +0200

    Updated manpages.

commit d0de67b58c5003c2b8888c1fca8ec713e1483bf0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 14:07:30 2026 +0200

    Improved scripts with LibreSSL support.

commit b8f78b8d923a6ee55f259df2751e352b01574302
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 14:04:46 2026 +0200

    Some work to support LibreSSL (default in OpenBSD).

commit 3679a5ef4395980bb92b353c02bf6b1feb4af31b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:46:13 2026 +0200

    Improved example CA configuration.

commit 2bc16008499dc5a8bfd86d80a0daeee80289358a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:24:06 2026 +0200

    Fixed typo.

commit 1f9709f12a621778d7480d6f7007af66434dda1b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:22:41 2026 +0200

    Darwin fix: brew needs to run as non-root user.

commit 81885f5087e360ff88c2613dc36658cbac8da4c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:19:36 2026 +0200

    Updated translations.

commit e5dbd7766eb100ef1099ecd45ba2b18dfbb9a33a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:15:36 2026 +0200

    Removed redundant sudo calls => System-Maintenance now has to run with sudo/doas, or as root.

commit c0e1f71237fdab0c8269d3a2f8422928eb3fb7fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:15:21 2026 +0200

    Added permissions check.

commit cebc0c897e956c54571356597a178ae898b72ba8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 12:05:25 2026 +0200

    Added missing Darwin cases.

commit e61844e27aaad1d04bd7ebeaac21fd9b2f43ec8d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 11:32:49 2026 +0200

    Improved detection of GNU getopt, to provide a useful error message when it is missing.

commit 5afde7742aec0c91f29c3d7e1e45ed62f97d5a85
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 11:21:46 2026 +0200

    Added time synchronisation handling for OpenBSD.

commit 062807f88ff3292d93a5e41a243f6afa08d62cf7
Merge: dd305a2 c908f24
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 08:51:09 2026 +0000

    Merge branch 'master' into dreibh/alpine

commit dd305a28b8a1bfa43153bb3305f6d0902c142d11
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 08:49:45 2026 +0000

    Added time synchronisation handling for Alpine.

commit c908f2467bff87a7ac8b9b71ad062b746fd27c2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 10:37:30 2026 +0200

    Minor clean-up.

commit c56ba3983852a49db39b5d34bff90373aaaa1607
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 10:31:39 2026 +0200

    Improved NetBSD support of System-Maintenance.

commit 715bf6c20e1f07b562d8c7a7cbcb13b2bc9b8083
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 1 10:18:47 2026 +0200

    OpenBSD improvements for Reset-Machine-ID.

commit a13e579d3f293557b802b4168e97db1acc1ec5a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 13:40:29 2026 +0200

    Updated APKBUILD file.

commit e2f50e69e2382ea93638b23e1b0f7973ca06f443
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 13:24:18 2026 +0200

    New release td-system-tools-2.7.6.

commit 4df3b0162cffcf4ea8c3db2eb5d5f1fd97a68444
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 13:23:02 2026 +0200

    Updated PO files.

commit 805b1ce9856cebfdfc2ad0c81a79bbd70c01ea5d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 10:25:40 2026 +0000

    Alpine's SSHD does not support the "UsePAM" option => comment out the "UsePAM" configuration line to avoid warning.

commit c504170260375e0c6ea04285cc67fa24e404118e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 10:12:59 2026 +0000

    Configuration improvements.

commit fa6421bc41e0f4dd3fc0ba377b4ee7999519ad65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 11:44:29 2026 +0200

    Updated example configurations.

commit e5f2cf81d1774ef4ab30ea638e186c3bbb392f97
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 11:32:25 2026 +0200

    Improvements for run under Alpine Linux.

commit d9d2eef0224f7e4241a70ab4e1ec030e894c38bb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 30 10:52:07 2026 +0200

    Alpine Linux improvements.

commit f37df8f01ac7d952d544f72ce0f392e190970839
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 29 15:43:16 2026 +0200

    Updated CI configuration

commit 915d3e7b1a437f48b9a72888abeee043040d5b32
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 29 15:43:10 2026 +0200

    Updated CI scripts

commit 5bb9b1a91ae0d37df971b21ad6a17d731b03f56d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 29 15:41:43 2026 +0200

    Updated FreeBSD workflow.

commit 20b8fe782d152cc371510b7810e7f700b698184d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 13:14:10 2026 +0200

    Improved APKBUILD file.

commit 3907ffb7e614317b46f79cea416b60570661ad1a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 13:08:07 2026 +0200

    New release td-system-tools-2.7.5.

commit 9e37da633b983b4e63eaca565829f9e6f93530e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 12:40:11 2026 +0200

    Syntax fix.

commit 9660e743e5e534d0c67975f47b543514219b098a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 12:36:04 2026 +0200

    Some improvements and clean-ups.

commit dbafe5364661cdf32345c596465960c7f6c01a69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 12:04:14 2026 +0200

    Alpine compatibility improvements: check for "diff --color" support before using it.

commit 8a202928eb668473dc467b9618a4f269221d024e
Merge: dfd01b8 2e61e1d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:54:37 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit dfd01b828025a135e5e54431423bd6e5693da641
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:54:25 2026 +0200

    Minor clean-ups.

commit 2e61e1d250208768edea4766e7f42a8d95dbf109
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:48:29 2026 +0200

    OpenSUSE update.

commit d077dc84f5598f9871ad06270600f67fa3ef817e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:41:59 2026 +0200

    Further improvements.

commit 9b708d47810d79f8954a04316ab7cf2fc03c9523
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:32:49 2026 +0200

    Removed unnecessary "sudo".

commit 39c62e423fb503fc681b566995986f272ff91f68
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:31:07 2026 +0200

    Added missing OpenBSD case.

commit 8466f06d1e103d1c4862420cb2093836e8e0bd51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 10:24:36 2026 +0200

    System support improvements for Alpine, OpenSUSE, NetBSD, and OpenBSD.

commit 722e48c13b2c3499d7e0c8a80b413183195b7701
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 26 09:44:07 2026 +0200

    CMakeLists.txt improvements for OpenSUSE support.

commit 1f365f0c4a810c4d095c1b00dbdc04fafbb74b06
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 09:04:25 2026 +0000

    Alpine dependency fix.

commit 08fe0e4188958a523d131d8d492050972dc039a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 08:45:27 2026 +0000

    Alpine Linux mktemp syntax fix.

commit 67655054095c8c827a8ab8310fe2f112716f23c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 10:37:46 2026 +0200

    FreeBSD improvements.

commit 3af10511325fce8bdebc87193171479d2c010c8e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 10:16:34 2026 +0200

    Added initial NetBSD support.

commit e302b01963c715a7d03f3bf775522bcfaba46427
Merge: 95ed605 fd3718e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 10:07:39 2026 +0200

    Merge branch 'master' into dreibh/netbsd

commit 95ed605c1b77c20d091bf32e00e132d594fbe835
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 24 10:05:10 2026 +0200

    Some improvements, including initial OpenBSD support.

commit fd3718e3684cca8874bd7f71a21b8660fde7fda3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 21:39:44 2026 +0200

    Minor CMakeLists.txt update.

commit 937babf0f5bceddf29f08812455158ee23d75f5f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 21:18:13 2026 +0200

    APKBUILD update.

commit 91da54df66c95d132f571be7323aa7f75b9ee3ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 19:16:41 2026 +0200

    Minor ARPBUILD update.

commit 5a4ab9291b0419e62945d9bbe6e66d51bb04ef78
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 17:08:47 2026 +0000

    Improved APKBUILD.

commit c377bd6319c07da28a0e6db6fd5ba6db8564390d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 18:56:34 2026 +0200

    Created initial APKBUILD file.

commit 2de2260c8913ea38127a5bda02b41e15f8cfa225
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 10:34:12 2026 +0200

    Debian 12 does not have strlcpy(). Letting CMakeLists.txt check whether it is supported.

commit aa614f45ad90d7c39976125a8d17b393fa29f009
Merge: 515c039 34e2053
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 10:35:02 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 515c0393c4c31f981f318851be4ac0372af81ca8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jun 20 10:34:12 2026 +0200

    Debian 12 does not have strlcpy(). Letting CMakeLists.txt check whether it is supported.

commit 180821f32f3b4061ddf4f9e5c9c9de3a6ec81e66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 19 14:34:13 2026 +0200

    Minor RPM spec clean-up.

commit d0702028c7a5495bb76f79e1a2466eccb02ceca9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 17:51:54 2026 +0200

    Yet another RPM spec update.

commit a0ca78729b070078f12dcc0fced7acac176dd9d7
Merge: 78ba9dc e774e36
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 15:12:42 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 78ba9dcb0665f8a0066492227b878bdc609908c9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 15:12:31 2026 +0200

    RPM spec fix.

commit e774e36908a86b547afd471a18b31054b3df3323
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 15:11:35 2026 +0200

    Further RPM spec clean-ups.

commit 11febbc54a62ce7d9ecaa5f2425eb77e7224d1b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 13:09:43 2026 +0200

    Yet another RPM spec update.

commit 79fd68a0d36a672630fbba648d5a72cbe5db62d0
Merge: 56bc04c 5efa6cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 12:40:24 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 5efa6cfc5345836958481f7bcf1049c0ea1031fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 12:39:59 2026 +0200

    Further RPM spec improvements.

commit 56bc04c9f06ff1291c2cd0c546fde4183a483cfa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 18 11:06:43 2026 +0200

    Removed Python shebang from CertificateHelper.py, since this is a library and not an executable.

commit 363b0f656f181e03d4dbcc1dbc3352ec394298ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 17 13:26:31 2026 +0200

    RPM spec fix: meta-packages should be noarch.

commit 870b5a30dbf9a51d03183c573d13e4bb5e66b1dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 17 13:06:45 2026 +0200

    Another RPM spec update. OpenSUSE builds should work now.

commit 56836a720006502d48b831404552f1e471f91f6d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 17 11:28:48 2026 +0200

    Improved RPM spec.

commit 34e205369bcb697065ff39492bb041bfbaf87f63
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 17 11:28:48 2026 +0200

    Improved RPM spec.

commit dce850d952407ed1616a30f84dacb8c4cfece69f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 18:15:57 2026 +0200

    New release td-system-tools-2.7.4.

commit 38b7cff67626a73d7c8b704e39a1d95d29119dce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 15:04:10 2026 +0200

    Added placeholder for Apple battery status code.

commit ca98191fd1b6994201107fe5808beb6a809660a8
Merge: 625771e 30fd1c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 14:40:10 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 625771efde36db5c43b63d4c0e018a8f23443591
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 14:40:00 2026 +0200

    Minor clean-up.

commit 30fd1c17cfd530e5ed27439a57f22d93d90fc63e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 14:20:43 2026 +0200

    Added missing NetBSD battery status part.

commit ec23d1740805c95e29093d9a76ffb1dd58d4a21d
Merge: 2a5ad9c 4cd6f31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:46:08 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit 4cd6f3162b79d69cfffb5e1a971f26c94ba00d5c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 14:03:49 2026 +0200

    Added proper handling of user session counting for OpenBSD as well.

commit 68fb8437508905ae7aebb6950fb15fee1eddac19
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:48:26 2026 +0200

    Replaced strcpy() by strlcpy().

commit 2a5ad9c43801fd9d3be9d19358e8a74664908e70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:45:57 2026 +0200

    Minor clean-ups.

commit 70fffcb399d615f7effb845a947665b935b59d8a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:27:02 2026 +0200

    Added process count calculation for NetBSD.

commit a0010e474e6041b1c76104a966cab62e2bcf4f38
Merge: 5e989ba 1009ba4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:25:49 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit 1009ba4282d664f0ce6919338bef70e8d775ccbb
Merge: dee9adf c5b2a20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:41:57 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit dee9adf6113597cde26a80f0c96cfec2f18c9cb4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:41:35 2026 +0200

    Added process count calculation for OpenBSD.

commit 5e989baa2e1ef3551b8d80485c779565dc83b79b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:25:42 2026 +0200

    Minor improvement.

commit c5b2a20156c14748121ed1dda04daf05f3c1fcf6
Merge: 55f812c 11832b2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:01:55 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 55f812cdcee36eda4a445bb84d75f9edd35ac50a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:01:48 2026 +0200

    Updated comment.

commit 11832b2a1797b867c43b2da7558b8e7bc7fdf95d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 13:01:19 2026 +0200

    Minor clean-up.

commit 80138709492cb4e2c4650ceb3029fce42b53e1be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 12:50:04 2026 +0200

    Improved memory static handling for OpenBSD.

commit 1a24d22ed3a5c158e059a6036112c20b0a35ece6
Merge: 1278f3e b2ff224
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 12:41:53 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit b2ff224fc37dc0506bd72222ff8030de87d116cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 12:40:46 2026 +0200

    Memory status handling clean-ups for BSD variants.

commit 1278f3efa1359df9b3f18a9230b14979e586b98f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 12:05:01 2026 +0200

    Added missing OpenBSD battery status part.

commit 4657909442784d8506698075c6ef7a26647f9cfd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 11:51:56 2026 +0200

    Type fix.

commit b4df05f43605d6904ad0aed373dde3af79d883e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 11:45:59 2026 +0200

    Another set of clean-ups.

commit 6e3d8913a87c9f67ab2f46e1003b284f9f1a1e99
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 11:16:03 2026 +0200

    Further code clean-ups.

commit a2a102da2a92d84fde2c3be828a42d26ac1a4b52
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 10:43:55 2026 +0200

    Improved load statistics handling.

commit a1c3ec9007a58d9c8a8ab8d8d657c9fe42c6b509
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 10:38:01 2026 +0200

    Improved network address handling.

commit c28cdd43e38a227952ff0294f25a01329e01e57f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 10:32:40 2026 +0200

    Improved uptime handling code.

commit 0ed393428e8b9acd98dd1875d4e5e71bd1661107
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 09:45:42 2026 +0200

    Small clean-ups.

commit 6c666c217f88a238df4fc1d1b5543ea5f06b9987
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 09:38:13 2026 +0200

    Improved network address handling.

commit 9fd4e461a62c430d8c9ecf40b06b0946ecb5bc55
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 09:10:27 2026 +0200

    Ensure that hostname returned by gethostname() is terminated by null byte in any case.

commit cfe1e5e89f2c64ba8f6d2c55218c47aaedbc6b6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 12 09:08:30 2026 +0200

    Network details improvement. Also added missing MacOS case for printing the MAC addresses.

commit 4b683a28676797bc83bf93b101366b7cc497df95
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 11 13:19:05 2026 +0200

    Improved documentation.

commit 74302e9fe59b0df36f3a0a320963adbeb433d47c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 11 11:32:12 2026 +0200

    Improved CMakeLists.txt.

commit 27367b0eb9cce585ef234974e3553ebea3ed95c3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 18:35:03 2026 +0200

    Improved search for GIMP console program.

commit b03464c86f982c65c889b4dabd6f5d42ad474248
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 18:19:04 2026 +0200

    MacOS compatibility fix.

commit b789e349c99223650ca8f69a45f154db7844243c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:43:32 2026 +0200

    Further output clean-ups.

commit c1290c9748d1e2c0443cbd0114d8ec2731f439f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:35:59 2026 +0200

    Yet another fix.

commit ccd795394d28cb59ca505c193f909142f1e93f8a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:34:19 2026 +0200

    A fix.

commit e4305ffea4ee099174ee2b30d9d8858bd9f39cbe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:28:12 2026 +0200

    Improved compatibility.

commit 811fcfc8e3576b40a06b0c33b5579cb446e1c133
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:21:25 2026 +0200

    Added check for a too-long hostname in the test script.

commit 63b87f3aeb08b8b8e15387a4944096be251d65e0
Merge: 9e12a3d abd0af3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:15:32 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 9e12a3dc5ebf87b648837a6144781589e442b986
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 17:15:07 2026 +0200

    Small clean-ups.

commit abd0af358e701155f65023d31e364c0b20d17e3a
Merge: 2eda24c 6d21e82
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:53:04 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit 2eda24c4b03606cb27e99bb41c002727397b0e20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:52:50 2026 +0200

    Updated test script.

commit 6d21e82e601057f4eb8f58a9b7c1b53fa67574fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:42:25 2026 +0200

    Improved error message.

commit 31d6f2506c297ff7209938fa8dda191b61e080fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:42:09 2026 +0200

    Added check for dependency.

commit 9e75f39232899e686dbb6b85e3a4bc012ba07f7a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:24:37 2026 +0200

    Further improvements for GIMP message filtering in non-verbose mode.

commit 944c258bdf37c296bccc18a976d60ddc55dfd297
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:19:29 2026 +0200

    Filtering GIMP messages.

commit b994927d78a0a665ec0ca91bc49bf6b76c523a10
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 16:16:06 2026 +0200

    Improved path handling.

commit 09dc46ff551da03b29bc4d70ada444769667c58c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:54:39 2026 +0200

    Formatting clean-ups.

commit a5576194068a8131cf33ebfb49c2a6e280b7bf3b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:22:32 2026 +0200

    Further clean-ups.

commit ba45b4e61bdbbd48202ea6503bf4a4d89e2d2158
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:15:44 2026 +0200

    Improved scripts.

commit f15e3f3fb2fc7153406f19b6356e51cef3e211b6
Merge: c46ef57 0d220a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:01:59 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 0d220a7511a53c90ad5551b6855a6d4dae7078a1
Merge: 575f2b6 1b32b51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:01:46 2026 +0200

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit 575f2b6c2106c937d7eea6f760ee25a9910925e8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:01:12 2026 +0200

    Added fallback for unavailable clifractgen in test script.

commit c46ef573158ecde47daff58d51b61bfde16673f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 15:00:57 2026 +0200

    Improved error messages.

commit 1b32b51723163969254e260fcf015a2694442352
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 14:16:21 2026 +0200

    Improved build script.

commit 6182526c2f974f1320932a5586ae5839b4e19787
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 10 13:53:15 2026 +0200

    Improved lookup for getopt command.

commit 72ac396495431968c71e52907d764abcd8ed6caf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 9 07:40:08 2026 +0000

    Added missing cast.

commit 43872c87d4631fdb3250192fa0a4b1d62f2c6d43
Merge: 3981285 fe8b5bb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 9 08:51:32 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 39812851c06e1c96161d22296fdcffa961b23bd7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 9 08:45:49 2026 +0200

    Minor CMakeLists.txt clean-ups.

commit fe8b5bbf12bc27d74cacca01b9ff0e430cfa4a33
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 17:38:33 2026 +0000

    Improved hostname handling, to also work for NetBSD and OpenBSD.

commit 973452e547a9398f0f5d0f1dd6de02f98b604743
Merge: 23061b3 1a53ecc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 19:08:29 2026 +0200

    Merge branch 'dreibh/netbsd' of github.com:dreibh/system-tools into dreibh/netbsd

commit 23061b3f9de53dca45a766568432d431582d22f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 19:08:07 2026 +0200

    Improved getopt detection in more of the scripts.

commit 1a53ecc296898df3547cb1df7a2883e74ea422a1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 19:01:27 2026 +0200

    FreeBSD build fix.

commit b256009e2024bf479f0b8df38c5377505ff3b392
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 18:58:43 2026 +0200

    Darwin getopt detection fix.

commit fe820e66aec4243d770759fac46ba743e52852a2
Merge: 619e8b5 f80b2e4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 16:58:15 2026 +0000

    Merge branch 'dreibh/netbsd' of https://github.com/dreibh/system-tools into dreibh/netbsd

commit 619e8b5fb5605c4e3bb5651b9415cffff48da13a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 16:57:49 2026 +0000

    Further replacements of "sort -z".

commit f80b2e4796a0b84ac8545e92600a061e080c1c4e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 18:51:55 2026 +0200

    Further getopt detection improvements.

commit 69f9e0597221b54816c5b4fab282a85584be2fcf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 18:44:37 2026 +0200

    Getopt handling improvement.

commit 29cbc45f4fd78945da5344d0480b32696f0af3c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 16:23:38 2026 +0000

    Compatibility improvement: replaced usage of "sort -z".

commit b82ed23eb0e1b4b1d015e31bf0dabef5734b01bc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 18:01:32 2026 +0200

    Linux build fix.

commit 894f13a8b06b3ae9b3ebbfb22ba8b1067cbf9bc0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 17:54:04 2026 +0200

    System-Info working under OpenBSD as well.

commit 69a2795fc0d9c60392bf21c716a2def5a7142832
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:36:18 2026 +0000

    Added blocks for NetBSD and OpenBSD battery status.

commit 0a8e2e47cb6ff79c1b793bec5f58c4a0072a0468
Merge: 454c7eb d91cb58
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:26:26 2026 +0000

    Merge remote-tracking branch 'origin/master' into dreibh/netbsd

commit 454c7ebae16837903cc601a1dcf765b99f9703a6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:01:36 2026 +0000

    Some work on NetBSD support.

commit d91cb58f4c062c27b32a99d582f2fff95eb6c658
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 16:49:01 2026 +0200

    Further clean-ups.

commit a6777fe69597945f9e5741fd17a15e01b0b261f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 16:06:47 2026 +0200

    Replaced constants to make code block better readable.

commit b736ae87d6e135b7d0724adf6acb063f8f0447ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:50:52 2026 +0200

    Further testing.

commit bb3ce099d7094095228a3ae579ecee9bc58889c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:28:55 2026 +0200

    NetBSD and OpenBSD testing.

commit 2dc40f090c75b84042acf9a95a213df45a9d6322
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:17:21 2026 +0200

    Improved gettext detection, and some clean-ups, in CMakeLists.txt.

commit 9fc65810e106ee6993ca5f1753161baf3ed57842
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:17:13 2026 +0200

    Improved build script.

commit df2fe31028b4366d96943fb1ffd9a29a2a905abf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 8 15:16:04 2026 +0200

    Updated CI scripts

commit ddf19000f55e9aff6ad50e821f7ece003a32f5fe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 18:39:39 2026 +0200

    Updated sorting order in pkg-plist.

commit 0d3236f72688773efe08d315c1c6efb5e678c65f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 18:33:21 2026 +0200

    Sorted pkg-plist.

commit e0ff58e8108c46d27301082836a830e79241cf8e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 18:32:57 2026 +0200

    Updated pkg-plist.

commit 8c63c18737ab61cc517394abce2bfc768bd5620c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 17:54:23 2026 +0200

    New release td-system-tools-2.7.3.

commit b763d51e1abe8d923dd2d1b4446fec15e87fe1ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 17:54:00 2026 +0200

    Minor clean-ups of the FreeBSD port Makefile.

commit 780ab09165ea0d2063b2466df2012a75cd1b9faa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 17:44:12 2026 +0200

    Improved FreeBSD port.

commit 540628593c814e878693a7488ddb8ac72ac1454d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 17:23:14 2026 +0200

    Further CMakeLists.txt clean-ups.

commit 297b039fdfb4a78a5e6388da7529ec26ef0e951e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 17:18:22 2026 +0200

    Improved CMakeLists.txt.

commit 1a62a062b2e2cc5a125c38225bb378a39cbb37af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 16:46:58 2026 +0200

    Improved CMakeLists.txt.

commit a77707f953551878d2e28fdab2b0d87c7fefc3d6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 16:40:47 2026 +0200

    Improved FreeBSD port.

commit 792eef10a87146d7b60ef3452b5cbe764d01229a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 5 16:35:07 2026 +0200

    Improved build configuration options.

commit 1db48e02290abd3ea54ce501b4e6914a9c1ae188
Merge: 23239b2 4410ee2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 3 22:07:30 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 23239b27099e76fe880881334408296cbef546c6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 3 22:07:06 2026 +0200

    Improved error message.

commit 4410ee2ffd4c63c0ec0434dd40b3beec9e171d22
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 2 18:34:50 2026 +0200

    Minor clean-up.

commit e01d44c702b4f28fb2039e3e898ea9bcab9be61b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 2 18:33:30 2026 +0200

    Bugfix: GS-Test-GIMP needs to fully initialise a new directory, including fonts cache.

commit 329ba21a4ecff98c31d6a6a00136aea5d0c6ff27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 23:55:18 2026 +0200

    New release td-system-tools-2.7.2.

commit 994fb97f99e44cc2ac7311595b8701e73420d862
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 23:29:13 2026 +0200

    Debian test now working again with latest scripts and examples.

commit 65dd892f0164e72200aed223c10ca28d411e1b31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 23:27:58 2026 +0200

    Bugfix: removed --no-data option from GIMP call, since data is needed (Debian unstable).

commit d902ba5bd0146d069bb35a7f9a95de8f1b2c574d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:59:44 2026 +0200

    Yet another PO file update.

commit 84718b1d1c13bfdcf2efeda85588b3d894ec835e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:54:37 2026 +0200

    A gettext fix.

commit 42162543e30c20562db61ba0eec74909a5b5fa99
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:48:01 2026 +0200

    Updated Debian test script.

commit 995596d433e05313a3c27ee65d057c75c294441b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:45:58 2026 +0200

    Updated PO files.

commit cd6f136802cfe7da7bb4d50b60d9b70ce4e4bc8b
Merge: 1cbc7ed 39cc85d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:44:22 2026 +0200

    Merge branch 'master' into dreibh/c23

commit 1cbc7ed0383a04e7623ae8189d4bda95c0d32ff8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:43:21 2026 +0200

    Further clean-ups.

commit 3c3dbef43b3c57b9a9aa6f85cb4921120f3365c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 22:30:40 2026 +0200

    Improved System-Info's table formatting. RTL output should also work now.

commit 39cc85dd82e730abb404454ea3c57ce508715073
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 21:45:30 2026 +0200

    Updated PO files.

commit 6477bc7bdd59c402745e8f5a2795cec4c8936cef
Merge: 7659acc 2d4acb4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 21:02:19 2026 +0200

    Merge branch 'dreibh/c23'

commit 7659acce65ad66a2a2655c57d58f9d8e168903a1
Merge: 4332ed7 f332a2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 21:02:12 2026 +0200

    Merge branch 'dreibh/gimp-scripts'

commit f332a2d000306942c189fb9f6e7ae2bad0fc6bbf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 21:00:34 2026 +0200

    Updated GIMP-Scripts examples. Now using WebP to reduce the size.

commit 2d4acb424f301d229d4a2480c81a3218bc69895c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 19:11:05 2026 +0200

    APT handling improvements.

commit 3fdaf13ffb97dc993d64c430357955b0768f5e6e
Merge: d32a3ac e703665
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:56:22 2026 +0200

    Merge branch 'master' into dreibh/c23

commit e703665c044e90dbaebd52e100c0ecf87dd1760e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:54:33 2026 +0200

    Improved FreeBSD port.

commit d32a3acd25bf8d4607b8b499425812afadaa19b2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:54:02 2026 +0200

    Improved CMakeFiles.

commit ed57b01db0bf6a82ad298b969ddf50348ecfc983
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:39:12 2026 +0200

    Bugfix: Do not try to print deprecated DSA keys.

commit bc2abf3b1230794cac36fa13d3f3c4c16f9ed30f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:28:56 2026 +0200

    Added fallback for LC_CTYPE issues on Ubuntu and Debian when /etc/default/locale is not defined.

commit a78beab0411d62d8e5798ecbd51574e172924ae7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 1 18:13:13 2026 +0200

    Improved FreeBSD port.

commit 2c4274541a5f890066aaef5ddcdc0df313f13258
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 22:51:01 2026 +0200

    Some more testing with Clang and GCC C23.

commit e8e18b38f2c63dddb0f744fbe1be164764630e56
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 22:42:52 2026 +0200

    Some code clean-ups for building properly with C23 compiler.

commit 4332ed73d4e966a5b4d35794f0ba975f1eb14024
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 21:55:20 2026 +0200

    Dependency fix.

commit 7f58cff69ed21c7fea77c2833ed772b2a88a6325
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 18:10:59 2026 +0200

    Updated FreeBSD port.

commit 3e6154e1d28b5afc80ac4f4d11d02ee446700a92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 17:44:09 2026 +0200

    New release td-system-tools-2.7.1.

commit 4d3d1915a8df0fd7f79febdd7e101491a57723c5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 17:39:02 2026 +0200

    Packaging fixes.

commit aa722f3c559b81868b2756d220638db2806e830a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 17:12:44 2026 +0200

    Fixed URL.

commit ffee33b26e8f6e8b9c3675750dbc19eeb2454939
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 17:04:52 2026 +0200

    New release td-system-tools-2.7.0.

commit 89900a449046f20c0069883ea92ee4ff5f5af7b1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 16:54:23 2026 +0200

    Minor update.

commit b183f9a39f7bbc5e8db81ac94c767fad799cfec0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 15:28:32 2026 +0200

    Added example files.

commit 161f6bd5aeb377ef10431ef893ff2dbb41e5d8e4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 16:45:55 2026 +0200

    Fixed typo.

commit 1fcee19a5d099917e5cd94de455954a3ff93e74b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 16:42:35 2026 +0200

    Minor clean-ups.

commit 11a4beb8d00be000bbb895284d59844c6d6851ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 16:37:10 2026 +0200

    Further updates of the descriptions.

commit c6348a521916f5ae842d7c5fd374ddf82086afff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 16:18:53 2026 +0200

    Another update.

commit 5cd7dd5b6c712c077480e1c7bd288cf07c2b0f38
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 15:56:50 2026 +0200

    Another update.

commit 1b74d77ed4c23a087b2da24be0e7bba68ceef2d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 31 15:45:53 2026 +0200

    Trying to fix Markdown issue in GitHub view.

commit 8430fe339b0ba8d42c2582c001f6a6d8c78038ba
Merge: 0b89147 314ba0e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 23:58:27 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 0b89147634a86e0de9a2144e8a4ba44f30b15064
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 23:58:02 2026 +0200

    Fixed copy&paste error in test script.

commit 314ba0e56d534277c6975c649ea8709692f84398
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 23:56:09 2026 +0200

    Dependency fixes.

commit bda932b54606711ce8c840e69f582675600724b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 23:51:17 2026 +0200

    Dependency improvements.

commit 56408a2680c7f06286045051dbde71c796093318
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 23:05:20 2026 +0200

    Improved documentation and example script.

commit c2cb5f7777b6e62b3080d82df2c22d1495322764
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 08:11:47 2026 +0200

    Updated examples.

commit 4841ba93412cb0379490198baa0cd17e37aa3d44
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 07:56:13 2026 +0200

    Improved documentation.

commit f4f8d570e87605303823e7bbc3a5442b5b809687
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 07:30:32 2026 +0200

    Added link.

commit ccd7d002fdc9e3187c0322d7ab8de7c5bd894089
Merge: 3e118dc d7cfaf0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 30 07:28:52 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit d7cfaf0ee0ad2fa062aa26a9134d194c70a6c46c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 29 16:52:19 2026 +0200

    Improved build help message.

commit 5313130419d928c721c5f2fae7300b3c33ddc23a
Merge: 369d82b 47c69a4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 29 10:08:03 2026 +0200

    Merge branch 'master' of https://github.com/dreibh/system-tools

commit 3e118dce50578ac46c75746dae2c71c935b3db02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 29 10:03:41 2026 +0200

    Fixed test script.

commit 2b298e88bc626d133d91a5450a8545da8466350c
Merge: ce0a1bf 47c69a4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 28 16:10:32 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 47c69a40b345dbdc9ad5595a3daba001b913f608
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 28 10:48:32 2026 +0200

    Debian package update.

commit 369d82bbadbaa5f6b05e5ffd1773ab095fd7eb1c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 27 14:50:44 2026 +0200

    Updated FreeBSD port.

commit ce0a1bffa4fea19f8909bd5738bd62fca4e95ce0
Merge: 68c0950 501c2dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 25 23:24:10 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 68c09501efc56c02d2d483cede2012158b319c77
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 25 23:23:53 2026 +0200

    Test dependency update.

commit 501c2dd183f2d6fd3e5db264786417337b7cb4a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 25 22:37:08 2026 +0200

    Minor CMakeLists.txt update.

commit f8791a02de005ddbab5730181d425bdbf3b2f263
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 24 20:29:50 2026 +0200

    Improved test script.

commit 8e7fa58586cf1f9eec2f9cc429100d71469857cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 24 20:27:00 2026 +0200

    Improved examples and documentation.

commit a9c912a055a4231f605ac354e83021784ed1a9af
Merge: ecb16cc d053b9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 23 22:28:22 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit d053b9cf9ecbc2d19458778b2ab4831b5b50d9ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 23 22:05:54 2026 +0200

    Updated FreeBSD port.

commit 6d305ae8cba0abc84bf781840f71831513d1f869
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 23 21:27:35 2026 +0200

    New release td-system-tools-2.6.4.

commit 2d1ff0ec0771953ec4875959603aea37f9e07dce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 18:57:32 2026 +0200

    Build fix for ENABLE_I18N=OFF.

commit 18c0d2b305fd183e10d8db5addc5a12aa843a9d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 18:47:02 2026 +0200

    Improved FreeBSD port configuration.

commit a662ea28b41cfc3cce747a47f051159d77efa27e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 18:30:43 2026 +0200

    Made FreeBSD port configurable.

commit b9f2fb461f780497abc5bef61b1efffc6da455e2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 15:55:33 2026 +0200

    New release td-system-tools-2.6.3.

commit 4d2aa66f48e312be2dfd59af86efa57ec2baed81
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 15:41:13 2026 +0200

    Updated PO files.

commit 4c76bae88c8ed666d247a74f94e1172b64a914be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 15:34:03 2026 +0200

    Improved exit code handling in Try-Hard.

commit ecb16ccd33c85c59d7cbb2b6894f80981add36c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 13:09:46 2026 +0200

    Further documentation and examples improvements.

commit 9f735005eae2d6008ffcd561a7bb4e0e1d01ceb7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:49:34 2026 +0200

    Some clean-ups.

commit ef26fb9410e27c788517e1146e54b4815338f2e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:40:41 2026 +0200

    Dependency fix.

commit 2d1318d4d7036d24badbda144749fac24cbd5d83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:40:41 2026 +0200

    Dependency fix.

commit bcd6ba5894e1b1424cddb5a215d96d459719e553
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:40:23 2026 +0200

    Improved documentation.

commit 587bcc28151c70e427f89db4cfbe52ff0ce4b201
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:06:43 2026 +0200

    Improved documentation.

commit dcb6f89ae287a68b09f45190dbf3d88d58bbeee2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:06:19 2026 +0200

    Improved examples.

commit df7a02f1b0b86e4e7fe5dd60eee9ce01a56dae49
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 12:06:07 2026 +0200

    Improved manpages.

commit 29c334912f5ca54e9e1eb7de58d3d83db4f59d27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 11:24:43 2026 +0200

    Improved documentation.

commit 1846a873e88eee50d3c5038c54a1da1bb78d0216
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 11:24:38 2026 +0200

    Improved manpages.

commit 145a7d4e8e65897e9cbc315a27a3e2d642b91572
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 10:30:47 2026 +0200

    Improved examples.

commit 506a181df4956529a837f837ba3c3361ab847849
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 22 10:30:27 2026 +0200

    Improved README.md.

commit 800018ad2273456cd9ca1a97d0ec0ddccfe844fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 21 16:39:51 2026 +0200

    Updated README.md.

commit b128c4d1b564eb1d511ac55e53464a131b6c7a80
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 21 16:36:02 2026 +0200

    Improved manpage, examples, and documentation.

commit cbd6b174fefc7a8fb5b72ea9770cc241b125c12a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 21 16:28:07 2026 +0200

    Updated manpage.

commit f174234392a670859311a265f127b6d087f500dd
Merge: 4c22865 2e69535
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 17 18:26:44 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 2e6953540056c599e00adbe14cc6012d36fe0bbe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 17 18:06:48 2026 +0200

    New release td-system-tools-2.6.2.

commit d5415eddbb85bcf1703a89eb010e3793e328f058
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 17 11:36:56 2026 +0200

    Ensure deterministic sorting order of NSS certificate usages.

commit 5b06ec3f038840a2789aa4f84db90336066beaa8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 22:49:52 2026 +0200

    Corrected comment.

commit 119fe01f0c5029d0c8927b26271ca0c87410460d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 20:35:25 2026 +0200

    Yet another minor test script update.

commit a5ee18fc9f3afdbe6e8a423f3b504bdcc24e8be7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 20:24:03 2026 +0200

    Minor clean-ups in the test scripts.

commit f6c3bd192b9afc0120cd1c2cfe34304c2ff391fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 20:17:42 2026 +0200

    Minor parameter update.

commit e3dc394032fc9c2a5840b208bd48c6e53e87cdbd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 14:37:56 2026 +0200

    Updated error message.

commit c56637066c2c4de5ece9960a24b2787b5a1145b4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 14:37:26 2026 +0200

    Updated PO files.

commit 9e6dbbd484bfa78d0528bc874fbf96f35eb576f7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 14:34:55 2026 +0200

    Improved error messages in Text-Block.

commit 7b560c2a6e657cf61d314016d7f1ec295881237b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 14:25:09 2026 +0200

    Improved error messages in Print-UTF8.

commit 9a9bd3e51277c7ba9605bdd75b540448242c1481
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 13:03:52 2026 +0200

    Updated PO files.

commit ccf2ac99710d1f906ff6ce610c3a8c583c874622
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 12:55:22 2026 +0200

    Added output of public key and signature algorithms.

commit 3e6c099a73f3176eb806054c8b9a245e7e9efd6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 12:23:33 2026 +0200

    Bugfix: Fixed wrong indentation when printing the certificate and CRL details.

commit 21bb7b8e3eed2bc1f1aed36f3d4d8b54675764ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 16 12:12:20 2026 +0200

    Some clean-ups, and added EC support in CertificateHelper.py.

commit 75e0c7ee6b1fb548974066dff95f6903ab7a0078
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 14 21:39:01 2026 +0200

    Improved X.509 test scripts.

commit 956c24c1747827e24189ba306ac05b119d5aa42f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 22:19:56 2026 +0200

    Dependency fix.

commit 26beca16f90a03d662499d53517a02639df1fda7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 22:18:38 2026 +0200

    Reverted addition of fallback code; simplified code block.

commit 678ae0dceccc08b8aaff296f75ab9c2406292e2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 21:21:38 2026 +0200

    Added fallback code to use when Text-Block is unavailable.

commit 4c22865d5f9de049c2e8dc55223de8bfc726e035
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 16:45:01 2026 +0200

    Added missing dependency.

commit a02ac8db248069b47c8843c6bc4271ec4292faf0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 16:35:01 2026 +0200

    Packaging improvements.

commit 6c318e24cc944c1ab1fe03de9e249b29bea85dde
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 16:19:32 2026 +0200

    Packaging updates.

commit 8e1b3f2557324d97efeb9522504dc4efd232d9a5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 16:10:58 2026 +0200

    Added test script.

commit 1c9030edf6459729cd4074531067f7445147f66b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 16:10:33 2026 +0200

    Improved examples.

commit 9c8bea897d350df96aaeb9575699b770bd38894d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 15:03:43 2026 +0200

    Fix for GIMP 3.0 parameters.

commit d7df21555c3712b001d30ee7436f813786caf37b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 11:35:34 2026 +0200

    Added helper script.

commit e6e68a93d76f46afa25dcd9963fad306d6f18695
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 11:34:47 2026 +0200

    "make clean" now also includes the generated versioned GIMP scripts.

commit d5b6a060123b07353d52191faae46cfee92fdf20
Merge: 678d6c2 6cfae20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 11:33:45 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 6cfae20f786157a3fab713de77c25cd42a237639
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 11:33:04 2026 +0200

    "make clean" now also includes the generated versioned scripts.

commit e9b3deaa42bf27af6e094060327ddce87ddddacd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 12 10:11:43 2026 +0200

    Minor documentation improvements.

commit 678d6c2b048bdccd6e56ba2c8eabe400e604a86d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 11 15:17:35 2026 +0200

    Improved error message.

commit 1ce41b6e6b66ba710425e6b3b0efc30c2aeacb3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 11 15:16:55 2026 +0200

    Improved error message.

commit c58545c4cce21473ee4a321a5ddb641e7663c952
Merge: 6b4e9ce f81d251
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:15:05 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit f81d251975d297daf2284d47b0e3958160449cbb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:09:04 2026 +0200

    New release td-system-tools-2.6.1.

commit 6b4e9ce0e2b1cc716eaa4e9198d42ea1e42129c9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:08:32 2026 +0200

    Minor syntax fix in manpage.

commit 88e740f5c43374aa1b3e4c6ac3e74557f9b72832
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:06:59 2026 +0200

    Improved manpage syntax.

commit 7d0710614ada5a9945131803533d965b4df247e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:01:16 2026 +0200

    Fixed too-long manpage line.

commit f0699f0589d852c78b645170e5573e136b6850db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 23:00:53 2026 +0200

    Debian packaging update.

commit 4ab3a07b69dac6e70705752233c3d8a1d3fcfd78
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 22:02:44 2026 +0200

    Further manpage syntax improvements.

commit 925700ae7ebf59b4b8b995628b70549c7b7bff91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 20:03:03 2026 +0200

    Further manpage syntax improvements.

commit 70d86cd8b8de5d40067d74c98a2b42af956697d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 18:45:23 2026 +0200

    Improved test scripts.

commit 6067fa8eebed20f2b6e52bab7bc309ce458359bc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 18:35:14 2026 +0200

    Minor clean-ups.

commit bfcd83e275f6bc51b8f4446032ec4df13201180e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 18:28:49 2026 +0200

    Further progress.

commit 34d788f265492140fdbf543519e685a2b070d16f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 18:18:52 2026 +0200

    Further improvements and clean-ups.

commit 7656d0bdd66cbeef0bb9175c9e8a538aeb39d3f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 17:28:01 2026 +0200

    Improved URL formatting in manpages.

commit 56a254f246ee33cd85eb70e9411bfaa499b6f692
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 17:26:57 2026 +0200

    Further progress with the manpages.

commit eac2612c10e865f21083438d7761b3cb0a620343
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 17:25:00 2026 +0200

    Further clean-ups.

commit 7272c94adbef37a9b28e7731476df2d56e540f71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:57:57 2026 +0200

    Further improvements and clean-ups.

commit d82cc0722aff0c2d7d50563c64ee4c219eb364b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:57:30 2026 +0200

    Further improvements and clean-ups.

commit eabd038e4f79cd9c3a78fbbdb4ef90eb622b82f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:47:49 2026 +0200

    Further improvements.

commit 03c5ba0eaa953aa110a87081101e46fa376ba2aa
Merge: b4b6bf8 c40ec0d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:20:25 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit b4b6bf8002f72d295f1e41ed378ad8cd44cb69a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:19:24 2026 +0200

    Added checks for Bash 4.2+ and GNU getopt.

commit d18acd05f8d26a8e22f5662ccd619e06280c6d9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:09:39 2026 +0200

    Improved manpages.

commit 13bb3fbb7f66eef5fdfccc177d38c9a0c67fd4d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:09:29 2026 +0200

    Minor test script improvements.

commit c40ec0da1068597cfe019b032ff052ab0176f045
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:05:27 2026 +0200

    Added missing commata in manpages' "See Also" lists.

commit 3e877c3ad83b7fc97a061604fc9c09b59d4077b0
Merge: 643d6d1 8b5aa53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 16:00:01 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 8b5aa53051c74755585c033796c0e1a5bab22ca5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 15:57:34 2026 +0200

    Updated PO files.

commit 502cf4402c32c51d452c5dc2ea7a7901e5397726
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 15:48:49 2026 +0200

    The last set of manpage improvements.

commit f57c2cd1243ff819e5a24fb28acb3c5b72d8620a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 15:38:10 2026 +0200

    Improved manpage.

commit 345b2e53fe82b715efaa644bebfb3252fd0d1b0d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 15:27:04 2026 +0200

    Another set of manpage improvements.

commit 78162c98fabfb1cd67a56fe86a4e84fd8265b0aa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 15:24:41 2026 +0200

    Improved manpage.

commit 29a88c72f7ab5eefdd55039b72de02ffd2cf9aa4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 14:55:53 2026 +0200

    Manpage improvements for the Unix timestamp tools.

commit b39bbba6eef24c31f235b70e9186f9583bc75769
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 14:44:27 2026 +0200

    Another set of manpage improvements.

commit f2962efa796190da66a70eed66b60a8313165a42
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 14:38:39 2026 +0200

    Further manpage improvements.

commit 124d1309c842d75e9cde67d2a35b441ff8726aeb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 14:21:44 2026 +0200

    Manpage improvements.

commit 38c1766f18663f1595f64c7b096e53593e81fd75
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 12:45:54 2026 +0200

    Minor improvement for IPv6 address handling.

commit 1111631da06ef361bd62c893a54c08cf817a7622
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 12:25:42 2026 +0200

    Bugfix: minor parameter passing fix.

commit ea2aa1a2f87daa52659e8818ed4d04462374866f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 12:13:56 2026 +0200

    Further shell completion improvements for Test-TLS-Connection, now properly handling host:port.

commit 8d6cbc82988182547e2185ef40cee7bec32c25ab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 11:35:36 2026 +0200

    Improved shell completions.

commit 643d6d10d60ea20e111d403e4a784c7998f6cbbd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 10:38:26 2026 +0200

    Updated error messages for consistency with the other tools.

commit 7fc25545834762e43a1cc8f7e5efca1cad89d3a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 10:38:04 2026 +0200

    Minor shell completion clean-ups.

commit 347ea7f7439a94982a5126139fb8651fdec5c827
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 10:33:26 2026 +0200

    Improved shell completions.

commit b2dea83457678f4e3944ad4c5050330e215ef48f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 10:15:00 2026 +0200

    Added test options, using fixed date and get-system-info output, to provide deterministic results for testing.

commit dce3b7c7f4c4b40653066ffc88ba07619eca5880
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 08:44:57 2026 +0200

    Improved test scripts.

commit 81a95406911dccbd44d588ca0a64956bc042f751
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 08:35:15 2026 +0200

    Improved test script.

commit 701f53eb1ab203d8c854e7c6e9dd39b4b4563a83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 08:33:36 2026 +0200

    Bugfix: fixed clearing of exitStatus by "if" call, which was introduced by the recent update for status code returning.

commit c4d6718d10f5b8820e8265b8903a8f02a65fce65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 08:14:04 2026 +0200

    Script improvements:
    * Ensure that Bash 4.4 or higher is used.
    * Ensure that getopt is enhanced/GNU getopt.

commit d2212a9a22a90859e0dff6eb3cb963edf3762632
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 07:59:55 2026 +0200

    Added missing include for MacOS.

commit 20a9d102a7efacfb9857ca890e44ff2b00364ed1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 9 07:52:20 2026 +0200

    Fixed compiler warning.

commit a968a460ec2f419578eff2f74ac965c3f6f14975
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:50:11 2026 +0200

    Another set of "which" => "command -v" replacements.

commit a0c36228afe2ba3494da753ae1126b0048c70dd8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:46:26 2026 +0200

    Replaced "which" by "command -v" for better portability.

commit 539535e010f426b16ef65da1800c68447fa94621
Merge: a8f7cb4 573e168
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:36:53 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit a8f7cb4034eca7e79e991a669f946cdc8681d5e3
Merge: eb3b630 7e697ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:33:19 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 573e1680dc3525a093bcc52d631c6b2fe7104e9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:31:57 2026 +0200

    Updated FreeBSD port.

commit 8151054a15e91b11391ba56153eb9f3f73667747
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:17:54 2026 +0200

    New release td-system-tools-2.6.0.

commit 474cc9cbe3125b1fb04fa3187e64dde43dadc0f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:17:17 2026 +0200

    Updated PO files.

commit 14884884bfed606f6a30947d2281ffa6df076bb6
Merge: cc646da 7e697ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:10:40 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 7e697ff0a29f241f4f5ba8b8445f469bdbe9fbfd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:05:57 2026 +0200

    New release td-system-tools-2.5.6.

commit 02a930ee67a588559fd5a8e2381922b0bcff8790
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:05:25 2026 +0200

    Updated PO files.

commit 139ec17187401dbcc16c55f6ff4d488b60245ce1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 23:00:44 2026 +0200

    Ubuntu 26.04 build fix.

commit cf4562ee0219ad2d9bb6908820c68e9c3ecfcdca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 22:21:10 2026 +0200

    Improved shell completion.

commit efd6103305b919ec73a0dc64ff6f7f788f54e6a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 21:33:12 2026 +0200

    Clarified comment.

commit 5d6d863d0b31682099551a135ce079fcf525ae83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 21:29:35 2026 +0200

    Bugfix: now handling buffer reallocation of getline() properly.

commit f59d10eefd4158bb3a079ba98e2396bb4f3e337e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 21:17:16 2026 +0200

    Bugfix: Ensuring proper result handling for fgets() return value.

commit cc646daa735e43027a3fb0fe07a5be340b669c9b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 21:09:45 2026 +0200

    Improved options handling.

commit 390d36bb61f3e9f6d64a7a0697fa5d2027ec5206
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 21:02:39 2026 +0200

    Bugfixes:
    * Improved compareInterfaceAddresses() to handle MAC addresses as well.
    * Do not print closing '"' when there are no interfaces and no opening '"' has been printed.

commit deac8190e02883d41fae7a269a0e2c26a8d58638
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 20:34:11 2026 +0200

    Improved robustness of IP address obtaining code by checking whether the netmask is not a null pointer, which could happen according to getifaddrs() documentation.

commit 09c2c3263ccfa9674746f517b29ce4995cef32f1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 18:36:14 2026 +0200

    Improved shell completion.

commit f7db591ac2fc4ebadfc49d86d8c298c613240060
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 18:06:48 2026 +0200

    Bugfix: added missing argument in usage string.

commit 60cc48d88a337d745513524fd97b447907694dad
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 17:58:04 2026 +0200

    Bugfix: Print error on superflous strings for --separator parameter, instead of silently continuing.

commit 061bfa0a1a2922d7483542bbb70d3b065453877c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 17:52:09 2026 +0200

    Bugfix: Options handling fixes.

commit d345df6b6acab560740b51a9262f95e10fcdb55f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 17:14:31 2026 +0200

    Fixed logical error (never triggered in current version).

commit 412896870ad0a05213f3e177606235cbc95576e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 16:56:54 2026 +0200

    Fixed too-long description lines.

commit c3682d02fa90d4bdcbcf7d11b044d55263b94801
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 8 16:50:51 2026 +0200

    Some improvements for the package descriptions.

commit 547bb59d85ea9006dbcb58f1cb8455b4f9bf8d11
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:52:56 2026 +0200

    Minor shell completion improvement.

commit 203c5a3aba74e4aa6fc8967fcf5a8c642ae0fe00
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:59:10 2026 +0200

    Updated PO files.

commit c01800809d8ea1568a619867005ab6d9be9b2108
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:58:56 2026 +0200

    Updated documentation.

commit cfc89b4b4e367373e167c7a2f56f5645755a4ee1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:53:56 2026 +0200

    Updated manpages.

commit 4e2d64149e0f0db621bc1ce59cfd4443f66c9d38
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:53:34 2026 +0200

    Improved shell completions.

commit d19694e9a17b2ced760c80de5e7e4941adb5dee6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:52:56 2026 +0200

    Minor shell completion improvement.

commit b1e8c4eb43f0ed31898e577cea62f502bb23134d
Merge: 820071f 5a927bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:14:00 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 5a927bf70f532ac8145027f598af7de1feb6a5a6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:07:44 2026 +0200

    New release td-system-tools-2.5.5.

commit 0d9abb7fd4f074ded8322002a2779cc06adbc3a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 17:07:09 2026 +0200

    Fixed a too long line in the package description.

commit 9de1eb70ca89a6d9bb66dfeb0b28a548c7338935
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 16:56:45 2026 +0200

    Small documentation improvements.

commit 820071f1753d193c5bce800cc1f3e28c2b71023c
Merge: f1d12be 8276866
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 16:43:39 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 8276866676d6c5033cc0ee7fd721f0cbbe89205e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 16:41:45 2026 +0200

    Updated PO files.

commit f951d12b013cb63a5dfc68edd558d9e2046931cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 16:15:05 2026 +0200

    Further small shell completion improvements.

commit 5b61c7bfb467646de4efbaef6b7e81c463d34dfe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 15:56:48 2026 +0200

    Minor shell completion fixes and improvements.

commit f2da6fbd806a1b60d2ddbadcec8097666cb38701
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 15:30:26 2026 +0200

    Small manpage improvements and fixes.

commit 72ec978fdb7800552433d5f815d7b74652759101
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 13:51:37 2026 +0200

    Improved manpages.

commit bf98693f476ef7bd9e76d45908d38250cbccaa59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 13:51:16 2026 +0200

    Minor optimisation.

commit 472175ed3e7ed70b2fc0fb318f507b115c8e5ac1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 13:22:15 2026 +0200

    Minor optimisations.

commit 4adcb7a49122edd885257e02a5afa2280d1bd23d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 13:08:23 2026 +0200

    Try-Hard now returns the exit code of the last failed run.

commit d0570afc345a4652d7a88bded782c178ac9b3caa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:55:14 2026 +0200

    Added fallback to "localhost" if 'hostname -f' cannot determine the FQDN hostname.

commit 91d14e09b76c50dbe97f816b7f181bcad0aed6e2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:50:30 2026 +0200

    Minor code polishing.

commit d34751347d435238f91d0904cd91d29930cce7fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:44:47 2026 +0200

    Modernised the NTP time synchronisation block.

commit f15418922242f7c84564fd09568c7a227538a9be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:28:19 2026 +0200

    Removed obsolete legacy code, and some small clean-ups.

commit c786bae9889c7f9a7572c0713d7891a1692a0fea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:19:21 2026 +0200

    FreeBSD ports are updated via Git now.

commit 09ec6643a84013f3e836ff36ffdd992cd03c2257
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 12:14:39 2026 +0200

    Improved temporary file handling.

commit 03aff95a3837f7e64790e50ad776d6b564538e98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 11:58:07 2026 +0200

    Minor clean-ups.

commit 2c9700922c9fde161e8e668cb2ae6cbb3b43550f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 11:44:30 2026 +0200

    Replaced "which" by "command -v" for better portability.

commit bc4c1a00b58e8b05d338c88c64e46b4dacb2c60a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 11:23:46 2026 +0200

    get-system-info improvements:
    * Reduced static interfaces array to 1024 elements, to allow working on systems with small stack.
    * Added Apple-specific code for obtaining number of processes.

commit 41f9b465d590e2d8fb0db480b2a17dd027b95a18
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 10:33:14 2026 +0200

    Only declare functions if the build's operating system needs them.

commit 57f0c9f80e92c51d7689616517ecd5f802de0359
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 10:17:48 2026 +0200

    Polished packaging files.

commit 0a5326765d3cac0a3e89a16addc2fd9ae43d37b4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 09:42:06 2026 +0200

    Fixed small inconsistencies between packaging descriptions for Debian/Ubuntu and Fedora.

commit 9e9edc92a523be55fd145e632e4e1f1f1c553463
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 7 09:13:44 2026 +0200

    Fixed package description in RPM.

commit f36722d3c615165ea676e39f7a3956b3ffd2244d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 18:18:41 2026 +0200

    Another small clean-up.

commit b22872002fcbc21bea4b7e2b8fad894abc6a59c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 18:06:44 2026 +0200

    Minor clean-ups.

commit cc57bb31e2b2404aacb848e4bbf5837114e59d0e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 18:02:04 2026 +0200

    Further clean-ups.

commit 2a05c92eb105618be6a0d54606f85bbcf69e30d9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 17:33:39 2026 +0200

    Improved compatibility.

commit 4720c95c199bf3334e0eb6699f950bae4f1dc546
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 17:32:26 2026 +0200

    Added missing library.

commit 0ee36b07c15277da3542f6c324cd8f806b8a8847
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 17:31:50 2026 +0200

    Added basic support for MacOS.

commit 746a74fc479733a757045a72317f58e519f45d13
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 16:41:39 2026 +0200

    Another try.

commit b0bfd02aa01e27decd4ec845efbed11af3de2f97
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 16:37:18 2026 +0200

    Added interface status.

commit 1d68e8c1e2443f87feb779fafa7938ffbf7fae7f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 16:32:35 2026 +0200

    Some MacOS testing.

commit 2c8a36c3a6f58f5653eb0f6c8e8b9940d83936e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 14:51:10 2026 +0200

    New release td-system-tools-2.5.4.

commit d81ce25c47c255d0c666938628c83051702d5911
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 14:50:19 2026 +0200

    Improved indentation handling in View-CRL as well.

commit 02d3aabb69d34cb10f0ac49cdd74263243edb883
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 14:31:19 2026 +0200

    Minor clean-up and translations file updates.

commit c79049c1c56d1777a407a0aa902fcca0a08e9390
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 14:25:55 2026 +0200

    Improved label handling, to avoid hardcoding indentation.

commit 31a3b33448e3ad9f1dee19ced07e71545a544775
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 13:37:12 2026 +0200

    Another set of minor translation improvements.

commit e11f43da283b213d9baa0ad61ad9855e03d0a0f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 13:17:31 2026 +0200

    Minor translation improvements.

commit 8cc4633d1695102214544f6219f2ba33eca03c4e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 13:17:13 2026 +0200

    Minor formatting fix.

commit 3918f7506b8b7cfac817ff06a483dc0472dc353e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 12:32:29 2026 +0200

    Further documentation improvements.

commit ce84a65a2a7f96be281b20a34c409a2714c12ea4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 12:12:19 2026 +0200

    Minor output clean-ups.

commit ee5f384662b7346ead6572c3670ead14e8993a6c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 11:56:51 2026 +0200

    Fixed typos.

commit 1abdebbb18cb19a986645fe2a76994fab553b04c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 6 11:51:05 2026 +0200

    Improved documentation.

commit 264b3443456e1a455a2730cc06cd549a074ca17a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 5 07:31:07 2026 +0200

    New release td-system-tools-2.5.3.

commit 6709335a7967c4f1546a732253fa6a77983d8b70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 5 07:30:43 2026 +0200

    Updated PO files.

commit 37b7feb2c600be68dd59b2175806b1629d71a1e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 5 07:15:37 2026 +0200

    Improved tests.

commit 8d12eb9dfa72efa2a200620b654ae18aa0dad3f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 5 07:08:03 2026 +0200

    Added updated test results.

commit 97431e519a029190e0a8ad70e59e671beae6ced8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 5 07:07:08 2026 +0200

    Made the tests independent of the console width.

commit b859b55dff85ef64e0cd6d69916a871bcbb95329
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 23:07:54 2026 +0200

    Minor code clean-up.

commit 475aef4949b5c24a444886a7a82481975d01fc40
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 22:35:11 2026 +0200

    RegExp fix in the test script.

commit ef30791d88147aa30b2e2548dd2a77ad8e28d1bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 22:30:28 2026 +0200

    Further improvements.

commit 626881a4a44f1543e93c4d8dad6978dd36512cc8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 22:16:22 2026 +0200

    Minor improvements.

commit cf9705296eeb8fa21cfe887d31cc68ced3b25034
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 22:16:02 2026 +0200

    Parameter name fix in shell completion.

commit 92c3c941610296335cdab04c2504a34da49a6a59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 22:15:34 2026 +0200

    Further clean-ups and improvements.

commit d8ae3a880ba53595a195f6f7d061ee46ea8f4fa4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 21:52:40 2026 +0200

    Improvements and clean-ups.

commit d8be8e2185d874924c4d33cdced697a5d260c024
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 21:30:56 2026 +0200

    Fixed typos in manpages.

commit 7078f7c302657204b5fee53ef9545cabe09da1c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 20:49:29 2026 +0200

    Some more code clean-ups.

commit 1d8e30d43de7f822dc0cfdcb1449f9396a2b5287
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 18:02:11 2026 +0200

    New release td-system-tools-2.5.2.

commit da11afdc64dce244ca8d629e0fd96af29aba9cb8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 18:01:14 2026 +0200

    Improvement to also handle file names with spaces.

commit f74fb515f51eb11650916913438b01f25a95e268
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 17:54:02 2026 +0200

    Minor clean-up.

commit 289aabcbbb5ccd1d5bf7b8179df807f9828c61ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 17:47:14 2026 +0200

    Small improvements and clean-ups.

commit b7c53421c44fa5e14e041af2dc319771d516d778
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 17:37:47 2026 +0200

    Bugfix: parameter naming fix, and some clean-ups.

commit 916785614353bddabd8d9c445aa4fc9026959475
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 17:23:26 2026 +0200

    Also handling spaces in directory names now.

commit f0aa61b6860e40ee47bc8f67386954e5b7d5f535
Merge: a4fdccf e1e2bfe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 17:20:19 2026 +0200

    Merge branch 'dreibh/options-handling'

commit a4fdccf7e54b294600ec5235e6dc3baea6450d6f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 16:52:04 2026 +0200

    Minor manpage updates.

commit 319deaf0803c3aa1d4460afeb4b871bc6e6b1a18
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 16:51:22 2026 +0200

    Minor fixes and clean-ups.

commit 529570f041e0d8e011840e936a28ac39aea473f7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 16:22:38 2026 +0200

    Bugfixes:
    * Fixed functions reading from pipe/file, possibly leading to infinite loop (in very unlikely error cases only).
    * Fixed possible division by 0 error (in very unlikely error cases only).
    
    Some clean-ups.

commit d0f2bf5c5bcd491c0747f20434cb705cd81d8b64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 16:04:22 2026 +0200

    Bugfix: fixed long parameter name for Python output.

commit 11b6e9ca1374936338a2d24d2086ba86b1fa0490
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 15:53:36 2026 +0200

    Manpage and usage string improvements.

commit c2fb5ec07ddaef273b686d6fb8afdb514e2ffe79
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 15:16:30 2026 +0200

    Bugfix: also properly handling 32-bit unicode characters now.

commit 3053dbfaf945975becc954f50a71de841a030b45
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 15:14:35 2026 +0200

    Bugfix: now properly parsing 16-bit unicode character from \u.

commit b8d9255d8d1663ab067b1484082f9329f13c1671
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 15:07:58 2026 +0200

    Bugfixes for Print-UTF8.:
    * Fixed typo in string.
    * Fixed octal number handling.

commit 54476d0e71ecd55d916272d8e8833ae1ab192945
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 14:40:01 2026 +0200

    Some code clean-ups.

commit dcf44a65d1bee8f7e140001edf39970120d16987
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 14:03:42 2026 +0200

    Bugfix: parameter naming fix.

commit 45eaa96645b38152ea63d66c181db01477e2d922
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 13:56:23 2026 +0200

    Bugfix: manpage, shell completion, and usage fixes and clean-ups.

commit aaba96db9371059faaa2921d0b0109d1d516deb8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 13:42:04 2026 +0200

    Text-Block improvements:
    * Improved handling of insert file from stdin: copy stdin into temporary file, to allow for multiple insertions.
    * Restore original file ownership and permissions in in-place mode.
    * Properly handle symlinks in in-place mode.

commit fca877477d3d8f59223d596145f32e3a3a9c177c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 13:05:35 2026 +0200

    Bugfix: added check for malloc() result.

commit 8ef22be2407f999c06a7ea9d251b9fca334bd8cd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 13:00:26 2026 +0200

    Bugfix: fixed parameter check for --enumerate-format.

commit b644cb2890b1fc270cbb52fec3fd75ce6123aebd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:40:56 2026 +0200

    Bugfix: getline() may reallocate the buffer. Updating the pointers is necessary in each iteration.

commit 77d418f49b34cd9d0468a28663e522cd0ecaa650
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:32:22 2026 +0200

    Further code clean-ups.

commit 91b7a6c52dc8b14ae87ac5c821bbef73ee327138
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:22:32 2026 +0200

    Minor code clean-ups.

commit 6319fb141bfa43a5a314fb520f27b1263f4fe47c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:22:19 2026 +0200

    Renamed test script.

commit 3d748bb665fa4328d00c8cbcb5b9e188accddae6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:14:28 2026 +0200

    Random-Sleep improvements:
    * Using nanosleep() instead of usleep().
    * Improved parsing of the delay bounds.

commit e5980122a1176214f0655c9822c7fde24c798a72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:02:59 2026 +0200

    Improved seed for Random-Sleep.

commit ed428f139a67400ee476a3e517ac15cab2576050
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 12:02:30 2026 +0200

    Minor code clean-ups according to code review.

commit f1d12be36b3b3925a299855184a7a9bbc2921dcb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 11:52:52 2026 +0200

    Typo fixes in the manpages.

commit 4a30f7673287750a0de4ea095772ddb9a582e521
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 11:49:24 2026 +0200

    Minor test script fix.

commit 6ee793957a4e52bc0cd3a7533f4ded1b8fdaab8e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 4 11:44:05 2026 +0200

    Small improvements according to code review.

commit 6c7502e5bf788a5993aa45df6b2fad816c6def6d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 18:52:44 2026 +0200

    Updated test configuration.

commit a528f9d1fdfd2484e6c5b3063625c7f46555f76a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 17:31:30 2026 +0200

    Improved Debian test script.

commit 86144af576f2a94ac264dd271de80904a25761f1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 17:28:09 2026 +0200

    Some clean-ups.

commit 82495fbc265b65609b052790b51bcff3056280dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 17:26:09 2026 +0200

    Some clean-ups.

commit bddd5288641f78d4a86f19c13d49690986d6d971
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 17:25:54 2026 +0200

    Improved test script.

commit 9d06f32281f1592c69deaa307b4bd8fd2ad5a5f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 17:24:24 2026 +0200

    Float timestamp handling improvements.

commit 1e09434b116f2b2f90ccb4152dd4fac66d03eef4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 16:58:35 2026 +0200

    Fixed precision loss by using "long double" to format the timestamp.

commit f3e2dad4a54fbc59b6141eff79ecd9861e1685dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 16:56:27 2026 +0200

    Improved tests.

commit 099149e6f56f7f4f8d9ee3b54b36575bbbc24f64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 15:46:10 2026 +0200

    Improved manpages.

commit 0c946bf97352240798d0ec8e33253eaf5b624c20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 15:45:23 2026 +0200

    Automatically switch between float and integer mode, instead of using parameters to set the mode.

commit 922425c2b9dffdb1be18901c0d2b8a6461375aca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 15:30:18 2026 +0200

    Improved shell completion.

commit fe1aec9ba25a11e4db0c8fac95f1a3fd3a877348
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 15:06:57 2026 +0200

    Updated README.md.

commit 703a1ecc441b7a263fa4ff34630df1be5f0912c4
Merge: 540fc73 584dc98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 14:24:33 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit eb3b63035dabaa4c2b29219190f152448e70054f
Merge: 6bcec19 584dc98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 14:21:49 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 6bcec1900fc255248bda3ad90b17dcc1d1742328
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 14:20:42 2026 +0200

    Fixed dependency.

commit 59a305e8a596a50e04c53ba9521c69a8cdcd16ff
Merge: b13058f 96ab0bc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 14:16:54 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 584dc98f0d0528235c9da7dda646bf8b0e396bee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 14:05:11 2026 +0200

    New release td-system-tools-2.5.1.

commit ba809d9c966bbdba649ddb477969f0877219ea72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:38:06 2026 +0200

    Removed superflous newline.

commit bbc77c80753ab469d109b665cc5ace1a36b4d4c5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:16:25 2026 +0200

    Got rid of a work-around for missing declaration of IFF_LOWER_UP.

commit 641158be64a17e33dd89a7c35c886b9dd736421a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:14:59 2026 +0200

    Cleaned up the includes list.

commit bab735616476bcf607d8101d4ad26e064e454791
Merge: 2d2e15a de351d4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:09:13 2026 +0200

    Merge branch 'dreibh/users'

commit 2d2e15af16fadd0005048cd6b1a11969da4f2edf
Merge: 0262eb2 17a2ccc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:08:46 2026 +0200

    Merge branch 'dreibh/storage'

commit 0262eb287e8acb7adc948133b34ac3602bacf094
Merge: 8063158 5f3c581
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 13:07:50 2026 +0200

    Merge branch 'dreibh/battery'

commit e1e2bfead0dca367e84cdce4fa29c5e42b0e4ebc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 12:39:07 2026 +0200

    Added comment.

commit 540fc730b1e7090b116a99879d307be16a81c7c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 12:38:46 2026 +0200

    Added comment.

commit b13058ffd2a61bd3904b958073f7a9c8c7558150
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 12:24:33 2026 +0200

    Improved options handling.

commit 0f1132e8bc60e8ae2216b15b85f9b7a87a243a70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 12:24:08 2026 +0200

    Minor clean-ups.

commit 467823ee20a6d8abec9d7547e1cecefd32a9fbc3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 11:45:12 2026 +0200

    Improved options handling.

commit 806315898f7d36cb01cbf0e6d03e4f2c449e69a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 11:25:22 2026 +0200

    Options handling improvements.

commit 82650d1d9a28a6c8d2fbd1aea31f3728f0ddef65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 11:09:45 2026 +0200

    Improved Print-UTF8 tests.

commit 35034d9aac84d90193bd73fb0e5c431d05e028b7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 10:49:15 2026 +0200

    Improved options handling.

commit ca111844438da6cf08643ac39fb7541e7a287bdf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 10:35:39 2026 +0200

    Bugfix: eval_gettext does not handle positional parameters.

commit de351d4a85b5dc64b815437fbfda6e7c9dbba43c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 10:01:48 2026 +0200

    Code clean-up.

commit ddb45b1da13f3022d0b3a7244945381934419e64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 09:59:17 2026 +0200

    Improved function to obtain the number of users, with output like "who | wc -l".

commit 17a2ccc249a2b180008b8f6470a81a384b4d1073
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 09:44:33 2026 +0200

    Added option to set compatibility version for get-system-info, to allow for future changes.

commit 4e68e4addad78440e7be45d9c4884fe9fa77ac95
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 3 08:45:26 2026 +0200

    Minor fix for shell completion.

commit 1888748ac6a7be0e6ea96177ee97ed6c20b61faf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 20:44:36 2026 +0200

    Improved shell completion.

commit 52a289c324bbafe0d56e9707fb726d2e7d836768
Merge: 96ab0bc f581f4b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 20:24:49 2026 +0200

    Merge branch 'dreibh/unix-timestamp' of github.com:dreibh/system-tools into dreibh/unix-timestamp

commit 5f3c5816f833b91de9ddf7f6aa44ff3a15823a59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 18:16:31 2026 +0200

    Properly obtaining battery status under FreeBSD.

commit b2287bc66faf130c5d0e0f0f37b89b33840b5018
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 17:38:30 2026 +0200

    Improved FreeBSD battery status detection.

commit c707f65888c464e6b886583dfd00fd6218f3040d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 16:54:13 2026 +0200

    Added FreeBSD code to obtain the number of processes.

commit a126eedb17d826b9d03f60572d36367ea71d6094
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 16:30:12 2026 +0200

    Improved code to obtain the number of processes.

commit d3bad7faf450b80b02a6d86837d9199ab7249b72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 16:19:58 2026 +0200

    Minor FreeBSD clean-up.

commit 9f63e3a6638eb621b94091bb41746c30f2a9ebc1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 16:18:32 2026 +0200

    Further code clean-ups.

commit 5853f842dc3a3c4374b6fffa0552863979d0639b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 16:11:55 2026 +0200

    Some code clean-ups.

commit 68474db98a2035a10ee8c1679aa6fdbe1aa61596
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 15:46:46 2026 +0200

    FreeBSD fix.

commit 45aed580fcd6785eff9e0378ea9b751734c0d8e8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 15:16:22 2026 +0200

    Obtain disk usage information by statvfs() call.

commit 96ab0bc9fa507caef780edcd95d157e69b7a8962
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 14:13:30 2026 +0200

    Minor README.md update.

commit 5500036f5080778261dbe2bd8834c8f8eb1338ad
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 13:56:48 2026 +0200

    New release td-system-tools-2.5.0.

commit 36654bb504cbab4639bf10f3c0db74377827d809
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 2 12:49:52 2026 +0200

    Updated PO files.

commit c635d4ea9207556fe0b37122456786b044ce812e
Merge: 9655f5d 0e95100
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 22:45:45 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 145ce262e83082abde2d18f7d93a5f6efd358d66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:50:36 2026 +0200

    Minor documentation update.

commit da9726cada97a362d79646bd571ebb073d002178
Merge: 207968b 0e95100
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:48:54 2026 +0200

    Merge branch 'master' into dreibh/try-hard

commit f581f4bc1f2a7de843add38048d25b1d4b95fe05
Merge: 771bd43 0e95100
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:48:36 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 0e951002782eb31ef52f095b13b339f8adc317be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:42:37 2026 +0200

    Small documentation fixes.

commit 207968b9719c2180d4ab5fdd6b09e6628fef7aff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:41:27 2026 +0200

    Updated documentation.

commit c88e839ba1ed98ea393c94aed0540085f39fc3ba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:07:27 2026 +0200

    Updated test scripts.

commit df9305b4c914b4ea853a4554d77e4e5f25fb9c17
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 10:06:59 2026 +0200

    Further improvements, including extension of shell completion support.

commit a30c354f3bbe5ae1854610ee2b659860d41da8cc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 1 09:42:47 2026 +0200

    Improved interval handling.

commit c070bac327d9ac60f600433f78e1540686d1b93b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 30 16:26:25 2026 +0200

    New release td-system-tools-2.4.4.

commit 486d51640b16b885f9627cf6f4fbd5da0ff27e75
Merge: 8d97ff8 0580eec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 30 16:23:06 2026 +0200

    Merge branch 'master' of https://github.com/dreibh/system-tools

commit 8d97ff8f707c5d7b73e17da04748222bc75215af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 30 16:21:44 2026 +0200

    Bugfix: removed debug output introduced for the previous bug fix.

commit 0580eeccec2c2efeba2480ca5742f1d66abe6c92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 30 13:49:32 2026 +0200

    New release td-system-tools-2.4.3.

commit 462109d133c465880ce291aa79c56e4d1f0a868b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 30 13:46:12 2026 +0200

    Bugfix: pipefail + grep caused unwanted errors.

commit 382e377c938ace1247888fb7a613af423c50b884
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 26 22:03:06 2026 +0200

    New release td-system-tools-2.4.2.

commit c87b2e601d321c9c462c7e4b111b3494c00726e0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 26 21:37:27 2026 +0200

    Updated workflows.

commit 7a1d502aa5050c6f65660fa0f1ecd4ba254b0c6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 21:59:16 2026 +0200

    Improved shell completion for random-sleep.

commit eb6c803326080806a555aed4b1d0e71af5fb68ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 21:35:32 2026 +0200

    Bugfix: Removed debug output.

commit 42abde5426e68f8809b6cc2744b7839b2d515a43
Merge: 97924e1 66329db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 20:12:53 2026 +0200

    Merge branch 'master' into dreibh/try-hard

commit 771bd43d7928c5bf421cc3215a3436345c2bee20
Merge: 79e9ac6 66329db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 20:12:29 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 9655f5de888c3f01f748e0b12644a63cf9ce309c
Merge: 835c361 66329db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 20:12:14 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 66329dbebdb9799d11e3391362e005e3c16a487c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 19:56:26 2026 +0200

    New release td-system-tools-2.4.1.

commit 97924e1c87fc4bf447e4845d2e37e59d58d5ffd9
Merge: 9245309 339300f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 16:05:57 2026 +0200

    Merge branch 'master' into dreibh/try-hard

commit 835c36175ff6d3c518362dcb020c27b26236973c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:56:27 2026 +0200

    Improved shell completions, making ShellCheck-override unnecessary.

commit 12f813c5c3b3c131294fbd9e0b680a25a9bf326c
Merge: bd51156 339300f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:56:07 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 79e9ac6ca3f09da8ca1377e0332a032266b2e88f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:55:39 2026 +0200

    Improved shell completions, making ShellCheck-override unnecessary.

commit 2bca9abf09306e6a49906f46a0b4b684ab143d70
Merge: 8457635 339300f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:54:37 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 339300fe809011ecd64f3365cec22737245ce81f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:52:14 2026 +0200

    Updated PO files after recent change.

commit 70933c1b672c2aafa52d9285dadd051240e416bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:50:08 2026 +0200

    Improved shell completions, making ShellCheck-override unnecessary.

commit 371973083f4fa8b1b111e67ba3e374ef0611c4a3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:49:28 2026 +0200

    ShellCheck clean-up.

commit 92453099f23605d1f77a366fdec5be8856201f2b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 15:38:59 2026 +0200

    Further shell completion improvements.

commit 50520a1050fcd0c015bbb5800bd1b496bd21a4fe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 14:50:57 2026 +0200

    Improved shell completion for try-hard.

commit 9c2dd625c7254d52887eaa4e98c516fe971911e0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 14:02:09 2026 +0200

    Updated build script.

commit 538317c53023682f9478181a6c73d8d1f12fcb26
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 14:01:43 2026 +0200

    Updated PO files.

commit 845763537acbce042be3a408e933bd2703b27b37
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:35:52 2026 +0200

    Updated Debian test script.

commit 98ebb66efb73c73bdde54e4e0fb967c7ee4e3999
Merge: 2d1a2d1 9c036b7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:35:38 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit bd51156c2e31af69d88892d74cc74aaf1e269948
Merge: 822f9ff 9c036b7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:34:39 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 9c036b71ecaec60748e19b9e36c5d37d4be6b51d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:33:15 2026 +0200

    Updated CI scripts

commit 8a7709d1e42f6988a414aff95db2f3dd7ad51be5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:27:45 2026 +0200

    Updated Debian tests.

commit c76ddde2a8cf7b3685e8c617b2560203b1f79e92
Merge: 8dd3b24 6c9573d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:10:51 2026 +0200

    Merge branch 'dreibh/usage'

commit 8dd3b2418e0b051452a404f9c3b6eaf0891cf1a3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 13:10:06 2026 +0200

    Debian packaging improvements.

commit 2d1a2d112f197fe107e56483ca7165c6d294cc61
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:50:55 2026 +0200

    Updated test script.

commit 0a9a6fe48e4e7d76225338c34b632a56609a0419
Merge: 82b8c57 6c9573d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:50:07 2026 +0200

    Merge branch 'dreibh/usage' into dreibh/unix-timestamp

commit 822f9ff86ac9514b625c76b0608753acd56ed22d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:49:34 2026 +0200

    Using pipefail option in GIMP scripts.

commit 1652db1be28a2b1f43a76b6e918934e28288c47e
Merge: 5a7fc09 6c9573d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:48:21 2026 +0200

    Merge branch 'dreibh/usage' into dreibh/gimp-scripts

commit 6c9573d401b9981887eaf3b4afc20f055b1f9c71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:47:40 2026 +0200

    Using pipefail option in all scripts.

commit 25be4cfdfd1d9797a604c8b992af4d088e5d7673
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:44:55 2026 +0200

    Improved test script.

commit cfba775695ffc3fd3f6aadbf642ac2006029d0e3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:38:57 2026 +0200

    Improved consistency of getopt usage.

commit 5a7fc09c851f3c9033657c0da9fc75fdb373db85
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:35:15 2026 +0200

    Improved consistency of getopt usage.

commit 6bedf48cafe11c0766c284226e143ae4c9b05fa0
Merge: 68a7e45 fb5e09e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:24:16 2026 +0200

    Merge branch 'dreibh/usage' into dreibh/gimp-scripts

commit 68a7e45df2fc4481f9f1521878f29b1b9f641263
Merge: 3ce9a90 bedc367
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:21:42 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit fb5e09e613da660bca0e49f68073c4d212c49c57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:19:02 2026 +0200

    Bugfix: Consistent exit code on return from usage().

commit 5282dc4812e621b16de0b45faa20fd5d507f04b2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:07:21 2026 +0200

    Updated shell completion.

commit 9a7b72e4bcef78cd9d773de6bb105ad6ff0ee8f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 12:01:03 2026 +0200

    Enhanced Try-Hard by delay randomisation and automatic delay increment.

commit be05b3c1a17a05a1862d5cf811881aeeea686dc3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 10:55:58 2026 +0200

    Bugfix: Minor gettext fixes.

commit c4e3ac151acceeb77d6e2d426858baa2d170829a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 09:07:37 2026 +0200

    Bugfix: Parameter handling fix.

commit ab2d506355584a0a180523e77dcc7136166eac3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 09:07:19 2026 +0200

    Dependency improvement and clean-ups.

commit c164f2011af4b4c3d03d3d4c4b145141fa81965d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 25 09:04:20 2026 +0200

    Container handling improvements.

commit bedc3679ab52aae74ed9b9cbbd8e723cbae4b50b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 23:44:09 2026 +0200

    Reset-Machine-ID: Container handling improvement, and dependency fix.

commit b45be281a2850095d6a812e5e5d8de3c6ec50708
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 23:09:51 2026 +0200

    Debian packaging improvements.

commit ab72051213c788558bac116fbfaf19807d28be66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 21:21:49 2026 +0200

    Shebang fixes in old test scripts.

commit 999d6fb300b3e3b9d3afb161c57c4c901b1b361a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 21:16:06 2026 +0200

    Another dependency fix: Fingerprint-SSH-Keys requires ssh-keygen.

commit 2cdbe7a2451dae8b4ebe14e05c6907e04afa0de8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 20:58:59 2026 +0200

    RPM packaging fix.

commit 6d9c48eb595537624a940a120d3d0b46379ba887
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 20:46:58 2026 +0200

    Debian packaging fix.

commit e640ec6ae9ca1eb6c35697b576c66f5452ce237a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 14:06:02 2026 +0200

    Updated FreeBSD Port.

commit 4c40340dd8243759865871d6255eb348344b2e57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 13:31:33 2026 +0200

    New release td-system-tools-2.4.0.

commit 89233e23188120aec3c9316230f81abc0203b712
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:39:32 2026 +0200

    Minor packaging update.

commit 82b8c57daa015f0eb2613282ecd5894cf53b69f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:38:45 2026 +0200

    RPM packaging fix.

commit 3ce9a9003f668375098cd1697784a43aebe5cbfe
Merge: 41dd8ed e923d69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:37:27 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit cf27ed174d4ea25f4cbfdd42f57dea4b2ef0ca01
Merge: bf0bf1a e923d69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:35:41 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit e923d6918816c698e470a2eedc1c196f8d4c5c5f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:30:18 2026 +0200

    Packaging and documentation improvements.

commit 41dd8eddb5c802a107787e7fc39824af63fd749e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:23:05 2026 +0200

    Updated manpages.

commit 6fc0617e54e4d18cd682ae887c09326c342348a7
Merge: d9a0649 13af2a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:22:40 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit bf0bf1a12a6693bc2f2e45b9963f2ff372151bd6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:18:58 2026 +0200

    Updated manpages.

commit ecd67a41e02e6cf8e9c2f83db10d37f54515ab4f
Merge: b02ae81 13af2a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:16:57 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 13af2a2988579c42a93b9bcccd3ba814d8299d94
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 11:12:57 2026 +0200

    RPM packaging improvements.

commit d8a96592896f253be8ef9478e896c15c28ab2f9b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:49:49 2026 +0200

    Updated manpages.

commit eb05bac3ea5b4b4043d4a070fab6fd38fe4611bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:37:22 2026 +0200

    Try-Hard is "noarch" in RPM spec.

commit 1af7585609c27bc1163bf1ff87e6979242b28169
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:36:17 2026 +0200

    Splitted td-misc into td-try-hard and td-random-sleep.

commit 0fa82a8449d81ad0f543b54d78e2547f81a48510
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:05:13 2026 +0200

    Updated CI scripts

commit 40daea812a4067d3af9f4433ef00e6c1d56d103d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:04:08 2026 +0200

    Minor CMakeLists.txt fix for Ubuntu ESM.

commit 15d9f792cd4cca7f79cf63b59b47534cc19ee388
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 10:03:56 2026 +0200

    Updated PO files.

commit 62d6f2383b13e52dbe6a10a5d307bd30948be8dd
Merge: cf41c95 a4f2231
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 09:44:09 2026 +0200

    Merge branch 'dreibh/version'

commit cf41c956376ec863acef6b541be77e7f1d53a6e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 24 09:36:55 2026 +0200

    Packaging improvements.

commit d9a0649c18d528511326e666666e8786aeb133df
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 22:39:32 2026 +0200

    Minor clean-ups.

commit 3579ab72afa20a583924a830f01df3eebf514e89
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 22:38:45 2026 +0200

    Improved scripts.

commit add76126f6e9a2274dff00fd99e6a79bb62c23b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 22:12:13 2026 +0200

    Improved test script.

commit 5073527ccfd121b922f47c80b903d82f35f82139
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 22:10:20 2026 +0200

    Added helper script.

commit dcb2883629e7eabe1fc538ca0690c14469a6419f
Merge: 61b0b65 4c9ce7d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 19:40:45 2026 +0200

    Merge branch 'dreibh/gimp-scripts' of github.com:dreibh/system-tools into dreibh/gimp-scripts

commit 4c9ce7ddc4d115d9c58db13c852244b67a5956c4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 17:42:31 2026 +0200

    Parameter fix.

commit da85cb8c29dcfefbc4c18b68517ef5db7dd66eeb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 16:27:44 2026 +0200

    Improved test script.

commit 431d7046bb1a132421376369327fbbaddad3b969
Merge: 678801c a4f2231
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 16:20:13 2026 +0200

    Merge branch 'dreibh/version' into dreibh/gimp-scripts

commit a4f223128f44e08e120fb823d4c0ae1cdff1bc92
Merge: 5c7fa71 6fa371f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 16:19:51 2026 +0200

    Merge branch 'master' into dreibh/version

commit b02ae818eccd6eee5f0962740529a175a9fdf2a9
Merge: 2c47f8d 6fa371f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 16:19:16 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 6fa371f7275f3a1781cdba346ed1b0e2f1d0c5e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 15:39:19 2026 +0200

    New release td-system-tools-2.3.2.

commit 678801c70ae3e2eb977d5df8f3795a8a60185857
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 15:18:19 2026 +0200

    Finished adding version option to GIMP-Scripts.

commit ea0533ed504ad467c19d600863dc3b05c078aaf8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:59:17 2026 +0200

    Started to add version option to GIMP-Scripts.

commit 529118f4a6ebcca1532dec86d86eb185c47126ca
Merge: 85c7c72 5c7fa71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:47:23 2026 +0200

    Merge branch 'dreibh/version' into dreibh/gimp-scripts

commit 5c7fa71832286983bf70024efbb7717b7ffa96a3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:45:42 2026 +0200

    Minor fix.

commit 307fb24fdacdafc72629e9fd0309c7045bac7b6e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:42:24 2026 +0200

    Added version option to Configure-GRUB.

commit 5006448890ca1016cfa3903670ce7a7c8a459e5c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:36:15 2026 +0200

    Added version option to Reset-Machine-ID.

commit e840be52881cddb1453981f0bd7dc90194be0a47
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:32:19 2026 +0200

    Minor manpage updates.

commit f8c3f6912a2d14fd1c3fa82a893e3532e7392f23
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:32:06 2026 +0200

    Added version option to Fingerprint-SSH-Keys.

commit a7988bc23dec497b0e18a7ddeed60389fbef0e02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:25:24 2026 +0200

    Added version option for the remaining X509-Tools.

commit d3b5be27ddf343c556ce46a00b0610982882aefc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 13:16:43 2026 +0200

    Added version option to X509-Tools.

commit 8e4e50d9bae439c82d20849352a8bab703d04855
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:59:59 2026 +0200

    Updated manpages.

commit 032992a8da741793f123a4c472a2bf42ce98b66c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:59:43 2026 +0200

    Minor CMakeLists.txt clean-up.

commit 498855b6ba6c7f29a91d108bf0ad4c702a221488
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:58:30 2026 +0200

    Added version option to Try-Hard.

commit 3634852747cb2374f79c814d6093d917d0ed1a29
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:51:17 2026 +0200

    Added version option to System-Maintenance.

commit 4958cead97e08b0e2582d4ae4304c5f2c26b80fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:45:21 2026 +0200

    Added version option to System-Info.

commit 85c7c72e1e9f835ef783aa9a9ac030bf131fa3d0
Merge: 87073e8 32e1294
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:26:27 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 2c47f8dee52ffd5dde7644f9e58ca3acb668d17e
Merge: a8aec1d 32e1294
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 12:18:29 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 32e1294c018f21d6381979ab1a4bbd743d3ee11a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 11:47:07 2026 +0200

    Updated Debian test.

commit 306b0bfb9e416b4722c5e2d6cc83b49223992472
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 11:46:51 2026 +0200

    Commented out debug output.

commit f1eeb64934a566c4a889990e7dadd5143e635113
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 09:20:05 2026 +0200

    Packaging improvements.

commit 96cc8dbfdbbca453f7ba9d15c6e69bf5ca965996
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 23:34:17 2026 +0200

    Improved test script.

commit d797c753e50acd8308ada9c24d1d38d728b27c0c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 23:33:57 2026 +0200

    Packaging improvements.

commit c0037353d161a2276eabf7718d70a421a4effb96
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 22:52:01 2026 +0200

    Updated test script.

commit 8c6bb0164bdbf99c37dd8efc9ab5882f2d991463
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 22:49:53 2026 +0200

    Fixed typo.

commit 953fde70e4d296e3fb358b72ee7bbbd3a38565df
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 20:27:12 2026 +0200

    Improved example script.

commit 9c8b896591d9a0543ba84ce94ec3a166e5c453e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 16:01:43 2026 +0200

    Install Test CA scripts into examples.

commit 1ef24fb67ed88b78d4342cd7905226d161590a48
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 23 01:17:47 2026 +1200

    Time-zone handling fix.

commit ab572708e70d44707df5afdc4fea9f1895c2a95b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 15:10:06 2026 +0200

    Bugfix: "date -d" does not work under FreeBSD.

commit 87073e8b3e6bfe7cc8d1c31b5d4444477fe1cc6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 15:10:06 2026 +0200

    Bugfix: "date -d" does not work under FreeBSD.

commit cfe5088878bfafb74cd8a0e883d9c4acf0a52f72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 14:17:36 2026 +0200

    Minor fix in README.

commit c24a333429a4afd082d9e17a6b7f0a4bde53f76c
Merge: dab652d 7dca017
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 14:16:08 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit a8aec1d8242b5d12857e2c3717b8f682a80d9b6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 13:30:17 2026 +0200

    Debian packaging update: added test.

commit 1d3fd630b88f249fdb8cad19327fb5a6917b1beb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 12:54:32 2026 +0200

    Updated translations.

commit 563282191b3e9659139ab8c1fd7c1412743087ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 12:48:19 2026 +0200

    Using LC_NUMERIC=C.UTF-8 for Unix timestamp and data/time strings, since "." for fractional seconds is more useful here than using localised variants (i.e. ",", etc).

commit e2e7b058d442b79719fc09bf35ab3414a9955136
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 11:49:23 2026 +0200

    Improved manpage.

commit 257186bfe6d500162236fd8d3fe221d70c581ed9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 11:49:06 2026 +0200

    Added support for multiple date/time strings as argument.

commit 9f4ad9f5992e83dbb6285aea5af5752a98eb1054
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 11:40:35 2026 +0200

    Further arguments handling improvements.

commit 94b0d52dc4164ba4e9fae5d59101fb37c986d678
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 11:33:47 2026 +0200

    Improved manpage.

commit 8beaf5bfc21569e6414799ca71c36feddee1c979
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 11:29:27 2026 +0200

    Added support for multiple time stamps as argument.

commit ed83480f18af0b2e0e7d8b7e4d6715f917e973f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 22 10:23:50 2026 +0200

    Bugfix: Fix for handling negative Unix timestamps with fractional seconds.

commit b503765004ce82525d61db5c7ba417dbe3149418
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 21 21:41:54 2026 +0200

    Further testing.

commit 0103d535522c3a634db625160bb13d46aa63179b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 21 21:23:29 2026 +0200

    Improved test script.

commit 1164b645f5b64cf08a06c44a071af79050ff5d7c
Merge: 659cb3c 7dca017
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:31:10 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 7dca01732497d0551c85f36cc6cef29d73e65aec
Merge: 40ee5a2 62093ed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:30:01 2026 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 40ee5a2c5a117254c9d67a9b158fc3744281c41a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:29:47 2026 +0200

    Minor documentation update.

commit 61b0b6532fb49ee36f55322274a7013fd8decc9b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:28:12 2026 +0200

    Minor update.

commit dab652de291d848dd06a07414bc4794c9ab1c045
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:03:54 2026 +0200

    Packaging update.

commit 96b6b682d5cb5fbfb2eede49455a70b5055ef3fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 22:03:46 2026 +0200

    Renamed manpage.

commit dfa61d7181e9711ac5c173ff92d0afe217132170
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:54:28 2026 +0200

    Updated manpages.

commit e4f274022175df068c136ea69f872cec35514395
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:51:31 2026 +0200

    Renamed manpage.

commit e3860c698bf881fff34ce23a8e750ab34183dc3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:51:22 2026 +0200

    Updated CMakeLists.txt.

commit 8f317097b32ac6120b20e36701c8adaa16e9fd92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:43:16 2026 +0200

    Renamed helper scripts and added headers.

commit 553ffb9c21fd750e2222cdc63e877d126ddb2ef2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:40:07 2026 +0200

    Added some GIMP-Scripts documentation.

commit 6d5f1ef29be5f1bd5c4eb98aaa997b9d560d09c3
Merge: 43f9760 189fccd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:32:10 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 659cb3c7b7e58b4edd3278482978a5515415da4e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:31:10 2026 +0200

    Further documentation improvements.

commit 3134d387da0e72b68a1517d1e3054251dc210123
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:18:45 2026 +0200

    Some improvements.

commit 62093ed045c4c691da0b66f72429e9af7a27977b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:12:53 2026 +0200

    Updated FreeBSD port.

commit deedae250702637f429411d7e79ce2c750093f65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 21:05:23 2026 +0200

    Improved manpages.

commit 6d84f03776d2f3bc36834b4dc7470ff60b8b8c30
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 20:58:01 2026 +0200

    Improved documentation.

commit e919058eab2310f7af9ed9425fe7bf6db7164023
Merge: 864e72a 189fccd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 20:26:16 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 189fccd47f851c6d7c60dc0a294584cef877a9f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 20 20:09:47 2026 +0200

    New release td-system-tools-2.3.1.

commit 864e72a22a711009e42ef81c5030c49ee2df2c83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 18:05:16 2026 +0200

    Header updates.

commit ea27b466cded095bca1445831a69ee2beba32d87
Merge: 7913e92 5304a8c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 18:01:24 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 43f9760da3fe37965f0e40b6c6fdd1f69bf9aef8
Merge: 074f035 5304a8c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 18:01:05 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 5304a8cd0a29a15aa66dd055068b9b4f292edc8d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 18:00:03 2026 +0200

    Improved RPM description.

commit 0d33a9b275f30c78a9fb3d372827955b2e6cdbc2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 17:37:06 2026 +0200

    Header updates.

commit 074f0352b92ed9d20962a96ee0d096e9f1bcf0b6
Merge: 032a77c db13006
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 13:05:54 2026 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 7913e92f60b878da398cbd045d213309113cd4a9
Merge: ac32712 db13006
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 13:02:42 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit db130067739a917aff57a42296394cf823403424
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 13:01:59 2026 +0200

    Fixed typo.

commit fc7110a7ab0bf47c792043b182c2f04f64adc406
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 13:00:27 2026 +0200

    Updated package description.

commit ac327123d8fb5595e4f5356cd2773b0ba82d7ed7
Merge: c4616d5 1ca8f89
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 12:57:16 2026 +0200

    Merge branch 'master' into dreibh/unix-timestamp

commit 1ca8f89495f859ba065bce22a3cc3b1bde0e7512
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 12:53:10 2026 +0200

    Updated PO files.

commit edec7612abdbe09b83c84bd67a147869f805d9b4
Merge: 768da78 e53f432
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 12:48:23 2026 +0200

    Merge branch 'master' into dreibh/cmake-options

commit e53f43223484131f1b260fa6c488cb32b486f451
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 12:36:32 2026 +0200

    New release td-system-tools-2.3.0.

commit 34ab0c3cfd77377150051c2f98e7c1edc8137d39
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 10:29:11 2026 +0200

    Improved documentation.

commit eb821bd60a33f17e0762ccb39e25b74b089eee1f
Merge: 28d2822 e666fc6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 09:41:53 2026 +0200

    Merge branch 'master' into dreibh/x509

commit e666fc6f40c9ffe24014fbcd0de43aa59ae47451
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 19 09:41:29 2026 +0200

    Updated CI scripts

commit 28d2822372338ce986e0c4d8246c8f0579929176
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:58:14 2026 +1200

    Packaging updates.

commit 2cf2a65efc8c82daf833cc879ecd02ee506c9d77
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:54:11 2026 +1200

    Added shell completions.

commit f9aad73e4668012cf469326f0ec71efeb7ad80fe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:47:04 2026 +1200

    Some clean-ups.

commit 70bb8eb543b2e6ce98ca4284eb7e0d689f1d53de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:46:49 2026 +1200

    Further improvements.

commit 1b01c2c7e7a4558c61bf53ca9c49107537656a6f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:29:02 2026 +1200

    Minor manpage updates.

commit 26275e343ae7fc2df6258552fafed2f0469c57fe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:28:43 2026 +1200

    Added manpage.

commit 8b3ae66e4f435be0f4422145b4c375353ad2d073
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:08:10 2026 +1200

    Minor improvements.

commit bba89c946118dd2483595061fcd524dae3e53aba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:02:49 2026 +1200

    Updated manpages.

commit 62b0acaad367a7fa31acb1588d64edd22bb965bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 21:02:36 2026 +1200

    Improved view-crl script.

commit d8ebb1c90461adff45b1f6f07d2ebe87c016d588
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:49:09 2026 +1200

    Improved shell completion.

commit 3c60cb2c17cc430a368d55b50247d992c8b68490
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:49:02 2026 +1200

    Improved manpage.

commit 65743c209dc5b6599f2606c83550c51ff9d75a82
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:48:12 2026 +1200

    Added "-" as shortcut for /dev/stdin.

commit 0b076374a7bbddf71d7759be8ac7c99ca0eb6092
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:23:51 2026 +1200

    Added DER to PEM conversion script.

commit 638ed277d418a1fba21fa79ad4ddb616169694a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:20:37 2026 +1200

    Minor improvements.

commit 552a6a2f06dea69d3fa05103a8d44c2a9382e96f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 5 20:19:33 2026 +1200

    Added PEM to DER conversion script.

commit aae82d5585fe19f765665b173ed3fabdf84511c3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:52:50 2026 +0100

    Minor update.

commit 2aad6abb9b1b021b90737be4d1de510778eb77d9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:46:00 2026 +0100

    Added trap to clean up used temporary files on abort.

commit ecc06aa130eae1937095898667a1b2fb9aae5b73
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:50:51 2026 +0100

    Updated translations.

commit 63e78116e5b1432c54a66a6c4595909ecd072786
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:48:36 2026 +0100

    Further improvements.

commit b9cf89a6b2fcfaa7e6a7fd5cd7d21dbc21b3dea8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:45:27 2026 +0100

    Improved script.

commit 66fb8b7548f4ea435619dc42e379d7b5052b237c
Merge: ee6cb00 b167125
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:28:28 2026 +0100

    Merge branch 'master' into dreibh/x509

commit 768da78b93bdf43aaf0e228402d60454ed15710e
Merge: f71c35d b167125
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 19:25:38 2026 +0100

    Merge branch 'master' into dreibh/cmake-options

commit b1671250d41bca5897cc642ac318a1e7ccf687cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 15:58:17 2026 +0100

    Fix in the manpage.

commit 032a77c631cfe4051316942b9d1f1d06f9f1daca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 22 13:31:08 2026 +0100

    Some improvements and clean-ups for aspect-ratio handling.

commit f6921ecf217831744a2ff19bf689579cd2d7285f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 20:21:17 2026 +0100

    Further clean-ups.

commit c99807876ac71eda93c69819c8fc31acc2aa89ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 19:31:09 2026 +0100

    Renamed the GIMP scripts.

commit 2065da34c28a866c02b447db1c59155b377fd09d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 14:01:18 2026 +0100

    Improved helper scripts.

commit 35262c233575bf0604c27e022536ba26570eb365
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 14:00:19 2026 +0100

    Added helper scripts.

commit d7dba6c2bfad542b566590741f2f177fcf44c714
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 13:55:30 2026 +0100

    Updated test script.

commit e22a11937418e38f81628a77a972646751ad0fa7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 13:02:25 2026 +0100

    Improved error handling.

commit 2aabefb447411aee73373aab6eaff93bcc96af1f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 12:55:43 2026 +0100

    Improved regexp for parsing floating-point parameter.

commit eef3a019ac5e677f98ad596437511ec70d87fbb5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 12:55:15 2026 +0100

    Improved manpage.

commit 0f964ec359cac9ebe902814e0fcf5e55c8fa405d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 12:55:06 2026 +0100

    Further improvements.

commit 4cf28ef6a87dd4495e361f54c572a297c9113f58
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 12:11:43 2026 +0100

    Added missing parameters. Work in progress.

commit 4415d1075d1dff7bc0694706da97419f65ef7461
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 21 11:20:22 2026 +0100

    Minor clean-up.

commit 3ac6f8642417ea32b3d38d36294ad2be3757441a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 23:12:47 2026 +0100

    Minor update.

commit db141b4b5eeca5019fecdbede177216409138cae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 22:54:19 2026 +0100

    Added shell completions.

commit 42aac75198820ca692ebdaa6b19792652cc49f37
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 22:54:09 2026 +0100

    Improved manpage.

commit 0d97898c8294a2b31b5dad91b26b404c887d090a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 22:07:30 2026 +0100

    Manpage improvements.

commit 908243ad6c7141a64e06492a500ec2dd063f5f20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 21:57:35 2026 +0100

    Improved script and added manpage.

commit 05d0ed10eec2f8057388dc24bd9d7885364a55e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 20:08:20 2026 +0100

    Further clean-ups.

commit aa26980e7e6e020e7a3cbdeb2ce4545533c983a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:54:45 2026 +0100

    Improved test script.

commit baee79352b60920802dad31ef7bbc3857deb2159
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:54:28 2026 +0100

    Parameter handling fix.

commit d8cda482465cac0f929ec2f1d16179d1d5733355
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:22:52 2026 +0100

    Minor update.

commit e8f2ff04821c158a94ec9b24bcf1c6dcdc1fcca1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:16:26 2026 +0100

    Minor clean-up.

commit 8c290f19590134461b4f130a7d584649b8e003d4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:16:14 2026 +0100

    Added shell completion.

commit 1f3ec68dc4b3bb0ff82741069470ef1b0fa70826
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 15:12:43 2026 +0100

    Added missing options.

commit 436e5de2006c3b68e32463a5fb3c56dc3f249311
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 14:38:35 2026 +0100

    Minor fixes.

commit ee6cb0081f3e975cea7c82ba50ef13e309a8946b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:40:16 2026 +0100

    Minor update.

commit d570b6ea659e2b07d90113912770b5f242a9df22
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:28:14 2026 +0100

    Fixed error message.

commit 5b18a9916a33af6fd41f33937ac1296c9fa6f4c0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:26:29 2026 +0100

    Minor update.

commit bfd7b87065d0c332d5e034e64d2a8a95a69f0c1c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:26:03 2026 +0100

    Some improvements.

commit 40f6dc176ba2d0324c6a2afe5c0843877abe3a4a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:22:25 2026 +0100

    Added PO files.

commit 539ee88b925cf9bf606d11b38b4a5d8d03996af2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:10:12 2026 +0100

    Packaging update.

commit fc8c60bae4aff8056dce11821feafd0772ae5710
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:03:48 2026 +0100

    Added shell completion.

commit df5fc5b394603ee6c5842914ef27b2cd3db2ca17
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:01:27 2026 +0100

    Added manpage.

commit b2641bae0ccff6c041f94d828d4aa4df25909cd5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 13:01:10 2026 +0100

    Improved script.

commit d5496588ccb37bacb033b14e53d4ba25c5d1366e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 20 12:34:25 2026 +0100

    Added script for viewing CRLs.

commit bf9f43a0626ded8d35b83ac084b94314f468016d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:50:27 2026 +0100

    Improved script.

commit 5bfd2384b8cd309941b72ce84ec2067231e0e0e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:46:00 2026 +0100

    Added trap to clean up used temporary files on abort.

commit ab1963a13b81628421862a50c9396400f3c984bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:35:49 2026 +0100

    Fix for self-signed certificate check with NSS.

commit 554386b0496ab25cec6638c1c5a84bd4a551cecc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:22:51 2026 +0100

    Improved Python type-hinting.

commit 5d99e8fd903fb700e023b53b5d9a03cefce9387f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:19:45 2026 +0100

    Improved certificate check with NSS.

commit 1aa174c4bffc7dfd741c93ce314dc1b23aac6799
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 17:05:36 2026 +0100

    Improved generation of CRLs in the test setup.

commit 2c1ec76f69e209ddab28e1d29b6989cebf96055c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 16:04:06 2026 +0100

    Added test script.

commit 80f5f71cbd30a5e9ca6b607d64375f130fb77427
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 16:03:57 2026 +0100

    Improved helper script.

commit 31715d97fd12601f34a493032ac716b192b2ac53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 16:04:06 2026 +0100

    Added test script.

commit 75ec61b4ce03b6c6af5e84288d70242678b65e7e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 16:03:57 2026 +0100

    Improved helper script.

commit fd5523f0a4e4022aa03580fb31f4a2de5fe3dd98
Merge: 1b234bd da1ecae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:41:45 2026 +0100

    Merge branch 'dreibh/gimp-scripts' of github.com:dreibh/system-tools into dreibh/gimp-scripts

commit 1b234bdce30b8476a384c323c90c45b2eb930bbb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:41:18 2026 +0100

    Ubuntu dependency update.

commit da1ecaefcaee8c108b7d34b9014eec7eb182683f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:40:31 2026 +0100

    Another Fedora dependency update.

commit e3aaff060bdff62ade10fc2453adfb4621e42c54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:34:15 2026 +0100

    Fedora dependency update.

commit fd4e9189e4c45954177067f5428629cac4efb8e9
Merge: da34e80 3c7311c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:22:46 2026 +0100

    Merge branch 'dreibh/gimp-scripts' of https://github.com/dreibh/system-tools into dreibh/gimp-scripts

commit 3c7311cfb8a0c9cdb3b84e43ff71635198f003d1
Merge: 9a5da56 d416042
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:22:40 2026 +0100

    Merge branch 'dreibh/gimp-scripts' of github.com:dreibh/system-tools into dreibh/gimp-scripts

commit 9a5da56fc2d1fe225bc177a268a7cc0181d88b91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:22:15 2026 +0100

    Added helper script.

commit 27704cdfcb6afad07349690981003e95a4195a6d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:22:10 2026 +0100

    Improved manpage.

commit da34e802255bb6197e4f67cf7386571e78aa9311
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 14:12:32 2026 +0100

    Improved shell completion with selection of an available font.

commit d41604259f0f719faec4383f7a68f9d3f3104e3a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 13:45:25 2026 +0100

    Improved test script.

commit f71c35d8491922e65e2cd095620cf4c5c693656e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 13:37:54 2026 +0100

    Improved libintl detection in CMakeLists.txt.

commit 144053df6d40bbf67440e4f446585141410176b8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 13:19:17 2026 +0100

    Improved test script.

commit d1bceacd9cd8e716e75913240577cf663709b9b5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 13:08:13 2026 +0100

    Improved compatibility.

commit c4616d5cbb41f14ad8acae685e63b888afb752b5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 12:43:22 2026 +0100

    Added test script.

commit 9a13b80317f985c54707561df8cb77cc93efb862
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 12:42:53 2026 +0100

    Minor clean-up.

commit 479caf8eef3f1d14527b653312cb06cd205e5440
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 12:42:16 2026 +0100

    Added auto-detection heuristic for timestamp granularity.

commit f4f8ea2c5f9d6a35de524afc825d5531594aa9f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 11:28:23 2026 +0100

    Added hexadecimal output to unixts2time as well.

commit b0ea7ecd41cec0d82c8aebfe738640bc14ebea33
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 11:26:38 2026 +0100

    Added options for hexadecimal output.

commit b5f76b8e6553bbec2a07660eb7a3f82d38b14a2c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 11:05:45 2026 +0100

    Made NLS support in the C programs optional.

commit 623372c7016a252e62202f7e34f4e993b14e273f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 11:05:03 2026 +0100

    Made building the components configurable.

commit 54f53af7ff5e2eb7d1d1e664caa1093c2c8e1c71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 00:22:01 2026 +0100

    Improved test script.

commit 7b81070defbddf6b0535d126dff77ec2506e689f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 00:09:13 2026 +0100

    Packaging update.

commit 9dc6322810f92f1ae14df9a504958fb94ffc251e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 00:09:03 2026 +0100

    Updated test script.

commit c889c2fbd2f8c175f5f557e8de3aa71742a91677
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 19 00:08:36 2026 +0100

    Improved script, added manpage and shell completion.

commit db2fca3564f41328e3de1dcc29c7cac88ba7c05f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 23:17:19 2026 +0100

    Updated test script.

commit 2c3008d3076bc80dac879fe72aec8804ae589bc5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 23:16:18 2026 +0100

    Improved script, added manpage and shell completion.

commit c6824ec2b232db3e2c926e9116e6255d7a8b138f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 22:55:21 2026 +0100

    Some clean-ups.

commit b9f327e748e7ba2f71607335444ccfa8349ea4e8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 22:30:52 2026 +0100

    Further parameter naming improvements.

commit c051471d2b7e560173f04fba7b704d400bcdf074
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 22:23:03 2026 +0100

    Updated test script.

commit a6cee9d677b71c5ee9f2b8d064e2f58cde1f77f2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 22:22:48 2026 +0100

    Parameter naming consistency improvements.

commit ef66fa5c05bd325e91a67005c10602b3b93b4beb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:55:18 2026 +0100

    Updated test script.

commit fc44443624a5bb57fdb0e2c75b68e4a11efcfcea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:55:11 2026 +0100

    Further clean-ups.

commit be54d8e426f3f5d6669ceb75438bfc5271716820
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:55:01 2026 +0100

    Added shell completion.

commit c54d08d63b047c2aa5645491093c9be6f1014d4b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:46:42 2026 +0100

    Minor clean-ups.

commit 0602e0db96f40a224f166bcac2a75eff695a4839
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:46:20 2026 +0100

    Added manpage.

commit 34e32612fc90da17850ac450d56dc18ad06c5866
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:46:00 2026 +0100

    Added missing parameters and improved parameter handling.

commit 1164b5ba652e27e1e4e5c5f22fe59770b61d2c23
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 21:25:50 2026 +0100

    Removed debug output.

commit 9741e26d2a2882daff089abb872c7c0514ea2732
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:42:09 2026 +0100

    FreeBSD regexp fix.

commit 05eb0f2a1dab1b1cbc5b0b8e5ca93b55008b7a77
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:34:27 2026 +0100

    Minor update.

commit d4823d44671214ef6b345e1c5f34d44a6edf8e41
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:32:38 2026 +0100

    Added helper script.

commit cb8df3103250e5688fb0bef1620a41a447957a57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:11:50 2026 +0100

    Minor clean-up.

commit 75ca030f33c64c2a900b9c4ef3da7f7bcf186085
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:04:10 2026 +0100

    Some clean-ups.

commit 2d8ac3b1abe64bd8abb8eb6fdc9a870a7cc71872
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 13:04:02 2026 +0100

    FreeBSD fix.

commit c7657c14633663d04425e8ab2a358247b2819b54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 12:32:59 2026 +0100

    Locale usage clean-ups.

commit ddaace2997872a9573ac1793c75e3c3341bf8608
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 12:28:31 2026 +0100

    Some clean-ups.

commit 09bb2d1e692b30f02f7d9932ebc48eaa6e50ddfa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 12:27:59 2026 +0100

    Added missing options.

commit 60da206d68e87a63fd829c9cfc298c42d939b327
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 12:02:39 2026 +0100

    Added missing parameters.

commit ec28f1429fc4a4cec4903c51efb59496c92fecc5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 11:15:49 2026 +0100

    Minor manpage updates.

commit d5ddce4786ea7ec294656c835813f346a36f9d1a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 18 09:47:43 2026 +0100

    Improved manpages.

commit 2f75550a3b5b48d2c581ac8eab555c916b509b67
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:43:53 2026 +0100

    Further clean-ups.

commit 138672dde832c028f3f96e1216641e63b5c46f27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:32:13 2026 +0100

    Naming consistency fix: Gimp -> GIMP.

commit 5faf359c7282f638c45c24fb5f983bb42de0b58e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:28:28 2026 +0100

    Further clean-ups and improvements.

commit e0add1e00af484e2d0089a9b6e17269d470a6341
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:14:32 2026 +0100

    Small improvements and clean-ups.

commit 080ab82347bf050806b20962f58da212c43ba940
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:09:51 2026 +0100

    Added shell completion.

commit 1cab553b67d29cb868b0f895bb85b2d1793b4143
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:09:44 2026 +0100

    Added manpage.

commit 20147b6cc3936ae74c11987486c98f33fddae6fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 23:09:28 2026 +0100

    Improved script.

commit eb4d2850b4a389926501b187e64399f0cfed0072
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 22:51:17 2026 +0100

    Parameter naming consistency improvement.

commit b9f153f3be193bbcdb1bf5e98094c544be3897a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 22:48:43 2026 +0100

    A small fix.

commit 6c99604a25532918e4c372a97279a0c235b522e0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 22:48:03 2026 +0100

    Added manpage and shell completion for Test-Gimp.

commit 99a816a0accc1d19b9551e18f71f2aa597958603
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 22:39:55 2026 +0100

    Improved script, and updated manpage and shell completion.

commit 45bafd58a5329417e1002130a820054d55c8f00a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 22:39:41 2026 +0100

    Added another example.

commit a5bb03905a6d1a94cb8120375c16f82617b130ba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 21:37:18 2026 +0100

    Further improvements.

commit 1252af3aebdbe79f68da43b1f9edf094ba7fca2f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 21:15:01 2026 +0100

    Added manpage.

commit b42c12ac9b01b27e567d1fc6b4138b259208c398
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 20:58:30 2026 +0100

    Minor clean-ups.

commit 02b78cb417c29403966660ef5cf1eae60ebb6794
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 20:58:15 2026 +0100

    Improved script.

commit 60e8da7e8d5b6519cd97bc47e407e551b4131f88
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 17:01:52 2026 +0100

    Some output improvements, and added PO files.

commit 5de240dc6e4a6fe060ce9f5f4fe02b881b549ae5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:45:17 2026 +0100

    Added CMake files.

commit 4a576ca6b2afb7ccd9b8e74e04310b1a1584d95a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:45:07 2026 +0100

    Packaging update.

commit 514ddcef2eb64869f75808335040aa5940e37350
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:30:29 2026 +0100

    Parameter handling improvements.

commit 0526b40e79be514f659b4feeafc115b453e69196
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:30:23 2026 +0100

    Added shell completion.

commit 0973a796b1c656777a753474e8aeb145bdef90ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:29:37 2026 +0100

    Improved shell completion.

commit 25a5af8ead0c8d16428b404dc4a4e34891ec9cb8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 12:29:29 2026 +0100

    Added manpage.

commit 97c150e45878bc41f68dc4c588cb44a59f9b728d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:56:54 2026 +0100

    Improved shell completion.

commit 8be57b4b10fd3ddd215a976eac98d7304ad85cd3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:56:48 2026 +0100

    Improved manpage.

commit 9c3461f63477a4101216bcec33a96b4e349d1134
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:56:31 2026 +0100

    Parameter handling improvements.

commit 2e82988a262c147f2bbaf07ce3061ef2baed68e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:53:25 2026 +0100

    Improved manpage.

commit 7eadaa324867335f5ad87692a41210efe4694cfd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:15:59 2026 +0100

    Added manpage.

commit d8540fd15d87030e6a2b7ce5fc07c71cab8b4c22
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 11:00:34 2026 +0100

    Further clean-ups.

commit 5df34ef5765268b243b83f2048ad7db7450edd02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 10:46:08 2026 +0100

    Updated CMakeLists.txt to include Unix timestamp tools.

commit 9d88bb8f3a53406f70ee630a7c1a72daee41f42f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 10:45:50 2026 +0100

    Some clean-ups.

commit 048780dd4098838de8875b5ae2b34bafe5353ede
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 10:43:21 2026 +0100

    Added Unix timestamp to time conversion tool.

commit ab71b1e9f4cac575ee235710ef4106cc79eb31cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 17 09:56:44 2026 +0100

    Added time to Unix timestamp conversion tool.

commit deb462ae092ff2e2ac21ac0657f64b63cb2b4873
Merge: 4ce19ec 49563ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 14 20:35:33 2026 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit 353286efbf5d990b9b4f1330aadca15bb4c42775
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 11:13:14 2026 +0100

    Updated URLs.

commit 49563ca02042a769b013c2a6c42ed7e4b65d7306
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 12:16:23 2026 +0100

    Small improvements of the test script.

commit 4ce19ecf7dd732aa2c49def7dad5ee32785d6c67
Merge: 7ab8040 aa88d1e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 12:05:14 2026 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit 0edc3b745e30749667913b7219ebae4c46b7df60
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 11:54:25 2026 +0100

    Updated FreeBSD port.

commit aa88d1eec272f96129c504c33f4c1de0e0c2d7f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 11:06:52 2026 +0100

    New release td-system-tools-2.2.5.

commit 05d587a4d35f387a50924e2b747496e94c682cbe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 23 15:56:48 2026 +0100

    Also added sntrup761x25519-sha512@openssh.com for post-quantum kex exchange on earlier versions of SSH.

commit 114823d12fa20c933595841b58ab6ecb47443b2c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 23 15:37:34 2026 +0100

    Added sntrup761x25519-sha512 to SSH options to enable post-quantum key exchange.

commit aeef2552ee5f29124d5c84f91b118ed6951d92f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 9 15:48:32 2026 +0100

    New release td-system-tools-2.2.4.

commit aae8dd79d0eddc70950e708139fd8d4bea6a8ac0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 9 13:10:44 2026 +0100

    Minor output fix.

commit aaf9183d9a76727e5dc88244bb040692bed55882
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 12 18:55:32 2025 +0100

    Updated documentation.

commit 637a22f7e5a50365f5d1064776c3fe7ebff2cdae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 10 09:40:17 2025 +0100

    Updated FreeBSD port.

commit b88f9345c195b0a34b1241d2a81a571993d0a182
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 17:04:21 2025 +0100

    New release td-system-tools-2.2.3.

commit 7ab80404deababdb7d0b2d8c5cc0f5f45fda9f19
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:13:41 2025 +0100

    Packaging update.

commit 09d935cd7136e0bf0429b303c8789048ea0041b9
Merge: bcdba3f ab7bacc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:09:23 2025 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit ab7bacc76504943d665f4806376a1019d983087c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:09:11 2025 +0100

    Updated CI scripts

commit 3a16097bdd5879d105899797fd4ce6415a64f519
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:08:23 2025 +0100

    Packaging fix: X.509 Tools is noarch, not architecture-specific.

commit bcdba3fd9a05f72c5d432ac749e24d72d7d2f0dc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:05:48 2025 +0100

    Debian/Ubuntu packaging update.

commit c78af005ba3b64851b06e91c84e517770761fd3e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:05:38 2025 +0100

    Updated CMakeLists.txt.

commit 4b76a7c951de53b1ac9a21e3e842d318ba083139
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 15:53:03 2025 +0100

    Header updates.

commit 2c16eb44cf39a5366031b2ade3e036e92f11d731
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 11:47:40 2025 +0100

    New release td-system-tools-2.2.2.

commit 29b12c2469d24e0be98bc4d7602186b216e26440
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 8 22:31:07 2025 +0100

    Updated CI scripts

commit 27c84b11bf386bf384070f8382a99a69d57b4594
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 15:48:02 2025 +0100

    Updated CI scripts

commit 2806c3b5edd9ebedb3b7ac55805ebe5746571797
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 15:47:17 2025 +0100

    Packaging update.

commit 19c9dc2bd1c66b9ccc01b264859dc25c4cdf467a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 14:18:51 2025 +0100

    Fixed URLs in README.md.

commit 93106f33e697bb450d6e567c0569dee96d6d4332
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 13:37:31 2025 +0100

    Updated CI configuration

commit 72073b8c0f32ff6aa3d51a3388ae73f1db9255b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 13:37:20 2025 +0100

    Updated CI scripts

commit 823cba59fd7fac467e4ccbf57d49be5e6add2b73
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:37:51 2025 +0100

    Updated build helper script.

commit 3a5e00cfc403bb71262ff0cd984f556d1d650b41
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:34:28 2025 +0100

    Updated CI configuration

commit 1704a4d180278f70db043e8e12edfe14dda84e06
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:34:19 2025 +0100

    Updated CI scripts

commit e42ca798b3351c1e1ae5a1763f73cf769cb03847
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 17:58:31 2025 +0100

    Updated CI scripts

commit f61d03c85717f083c5720b592a65c4c2298b71cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 17:23:26 2025 +0100

    Updated CI configuration

commit 900d663902acf66288f54f25877ea66e904eb3b8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 15:31:23 2025 +0100

    Updated CI scripts

commit f4ef573c8ef710113d6bed936b9043f222216c76
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 15:02:48 2025 +0100

    Updated workflows.

commit 3b65684a4c052b9fa3033bd5d7f5d6c8fa24a22e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:40:02 2025 +0100

    Header updates.

commit c94147a6db98040dda0e6913f28a11ee45b86bb2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:39:39 2025 +0100

    Updated CI configuration

commit 0c9945122912421b9322d85ecc755ff556e6b02d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:39:37 2025 +0100

    Updated CI scripts

commit dd7bc971cd42a3042e2770c5d87fe84b449fdc51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 3 15:21:45 2025 +0100

    Updated CI scripts

commit 8a7971c5eef4ae446c4a0abaf6c48868e1c7783e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 3 15:19:16 2025 +0100

    Configure-GRUB: On Ubuntu 25.10, /etc/default/grub does not exist => use empty file as default input in this case.

commit 8c7b92394737b777399f2c76c951ea4e1cc2c18b
Merge: 6ba00b1 0573fe3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 16:34:51 2025 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit 0573fe360d0e6537a99f80fa18f8486676fb4454
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 16:23:31 2025 +0100

    New release td-system-tools-2.2.1.

commit 28de909adfa7b35e18beb26d448f08afb65e1d6b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 16:23:12 2025 +0100

    Another fix.

commit cc6690f1895315828e9d282aa01383deafc53c66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 16:21:02 2025 +0100

    Minor packaging update.

commit 379b4cc3858aa7b667689d2ea071c142673effd8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 15:49:02 2025 +0100

    Updated CI scripts

commit 6ba00b1b61f1e47ea5fae97df16ef107c8647b4d
Merge: 566ab23 8afaf2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 11:42:41 2025 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit 8afaf2d809776ed5e57f02d65ad10e45a71f7e29
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 11:27:04 2025 +0100

    Updated CI scripts

commit 348bbe71524e32089bbe7b45dc0423790f9a1e6d
Merge: 4acd8a4 b31a00c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 10:38:29 2025 +0100

    Merge branch 'master' of github.com:dreibh/system-tools

commit 4acd8a420c9c76971f04cecd33a46afc9b8364f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 10:38:05 2025 +0100

    Workflow update.

commit 96ca1a9832dc213749cc145dd513315da2159572
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 10:15:38 2025 +0100

    Minor manpage update.

commit b31a00c98af714c45cc8d3e10b815901c7adf156
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 10:12:18 2025 +0100

    FreeBSD port improvement.

commit 1c7f006a16444f024dd48db258b3e411082bf70d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 27 12:13:03 2025 +0100

    Dependency fix.

commit 84d63a55ed79d2528d84d822b3e9a0a49d5c6dfe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 27 09:59:06 2025 +0100

    Updated FreeBSD port.

commit 5cd8e803783113643145f7c2ba0a6a0cc4079a47
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 14:07:17 2025 +0100

    New release td-system-tools-2.2.0.

commit b2ac5364ddc4f9a57e5e1cc402b2ccd52e7e00a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 14:03:04 2025 +0100

    A fix.

commit f67abf56a5b0d466828494cb1a42ebd21b25bc39
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 12:11:06 2025 +0100

    Updated translations files.

commit 2534cc574d1614b38a379b626d0b458a171cfdf3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:59:26 2025 +0100

    A small documentation update.

commit 314514160f0bf50e90dd0a4731bbef94303d9ec8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:51:00 2025 +0100

    Minor typing fix.

commit 19035c1eca47fbfde7215ed901d6fbd74ecb7170
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 10:41:41 2025 +0000

    Minimum Python version for the certificate example is 3.10.

commit 931c1bc87ea337a851e58ab948fc543f0e7019b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:40:42 2025 +0100

    Improved script.

commit 8978f5398b7e26f6a27ba47c31805cf1cc718be0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:36:45 2025 +0100

    Improved missing package handling.

commit ac5090f7990723277afce5e3dbb9a685cb089467
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:33:54 2025 +0100

    Improved script.

commit 1a23695a572d9f4d773e9ee04b814523f5f5d5d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:20:57 2025 +0100

    Improved sub-package naming.

commit b6bcec776b1fba0a9f06fb9668a83879c9f6b1fe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:20:23 2025 +0100

    Some clean-ups in the examples code.

commit ab684dac76f8609860d42968f3ffe154ef0709c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 11:20:17 2025 +0100

    Updated manpages.

commit 58012ec78e6872ddb6077d2b6126d274d5a7869f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 24 16:06:36 2025 +0100

    Updated CI scripts

commit 9bcf59c5cca64e947537d6537d0fb169c6846ef1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 24 13:27:54 2025 +0100

    RPM spec update.

commit 11fdc49300f1fe4c0d1214e35ad4e2568ef48e52
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 24 13:11:48 2025 +0100

    Further documentation improvements.

commit 596d7cab4f0663926e1508f1d4e1cf78dac37c02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 24 12:58:00 2025 +0100

    Improved documentation.

commit c6f53856fcd3e366e2ed3ab1cc1d8a7d4153f982
Merge: 83998bb fcd19ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 24 09:52:59 2025 +0100

    Merge branch 'master' into dreibh/x509

commit fcd19ca737d9774a0a60b6a72cb1ae3a574a8ea3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Nov 23 21:07:09 2025 +0100

    Small documentation updates.

commit 83998bb3961affe215276269dc15a2d31387a498
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 17:07:24 2025 +0100

    Improved documentation.

commit 8853163b6d636a3cbf7a62c8dd882e0b70988dab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 17:07:15 2025 +0100

    Updated manpage.

commit 77f7e510717803a4d3d470908f663a1d2c8667d9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 16:24:14 2025 +0100

    Updated manpages.

commit 423e96491a2e81db487c503b410e27241f64f0ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 16:24:09 2025 +0100

    Improved script.

commit 2c0ad9d36f10dd4b863ccf69e60a2ed714a80071
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 15:42:06 2025 +0100

    A fix.

commit 7507de3386ce52ca080ce542629fc5c0875578da
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 15:21:05 2025 +0100

    RPM spec update.

commit fd683145826f84afa680aee9f0ca18ccc91980b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 15:20:06 2025 +0100

    Further OpenSSL parameter improvements.

commit df345b029faf893780de73eeca0b1267f58073a4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 14:49:51 2025 +0100

    Improved OpenSSL options for certificate verification.

commit f0a47995490857e0bd912ff18f93873e3faaaf39
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 14:03:46 2025 +0100

    Package dependency improvements.

commit 5563bde6b8371c9c1b2787a3f9aa79345c8e5045
Merge: 4e4e963 5cd4200
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 14:02:14 2025 +0100

    Merge branch 'master' into dreibh/x509

commit 5cd4200ca0d1187ceda44b80b970b7a270bc5292
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 13:59:57 2025 +0100

    Package dependency clean-ups.

commit 566ab2340cf8ed0ba1902c9df776011e584855ea
Merge: f04a829 6cd106c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 15:58:23 2025 +0100

    Merge branch 'master' into dreibh/gimp-scripts

commit 4e4e963d848fc05961f8e9b89f94ca0107d64647
Merge: 50657c2 6cd106c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 15:57:19 2025 +0100

    Merge branch 'master' into dreibh/x509

commit 6cd106c2f5d826e6998892f4735bac15580ce364
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 13:06:40 2025 +0100

    Minor usage string update.

commit 7f268830328afbf14bd00d3ec8f5ee8de7552e49
Merge: b0c57ab 45872eb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 12:41:22 2025 +0100

    Merge branch 'master' of github.com:dreibh/system-tools

commit b0c57ab9ad77da977fef149215f0c96f9687750f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 12:36:00 2025 +0100

    Minor clean-up.

commit 45872eb2cca38ea4e4fd0ec8c1a4f9257a817e51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:36:07 2025 +0100

    Updated FreeBSD port.

commit 054f3f469fba8652802302957459c7dc9ed5ce8a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:06:46 2025 +0100

    New release td-system-tools-2.1.9.

commit 378d37750dd4e87994284db5e37da09076d63652
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:01:53 2025 +0100

    Parameter handling fix.

commit ebbbb1e709c3501c64bc1ccf38fd32e96f211c55
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 13:03:53 2025 +0100

    Yet another documentation update.

commit 4487f0f67b3d3c6b082f1db571e33ce86397a8a6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 12:49:49 2025 +0100

    Minor documentation update.

commit 3e3e893df0c18b33785e5eed6051f660eb4bc920
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 12:45:20 2025 +0100

    Improved documentation.

commit 50657c2d92994b3512a635aced8e14a12ece6a4b
Merge: 0b5ae3d 6aee224
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 18:24:58 2025 +0100

    Merge branch 'master' into dreibh/x509

commit 8f972cb169d759fc3c979cd71519df4935561e95
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 18:15:18 2025 +0100

    Updated FreeBSD port.

commit 6aee224d8e8a5312c3baccc929ca2049a5ebdbb6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 18:08:35 2025 +0100

    New release td-system-tools-2.1.8.

commit 2945e77678b8bbd2606b425fb572ab2c77e7a091
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 18:08:21 2025 +0100

    Updated PO files.

commit 0b5ae3d096856e1b998510e13f4e2e71f6ec0ee2
Merge: 658bb18 e1e91be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 17:24:45 2025 +0100

    Merge branch 'master' into dreibh/x509

commit e1e91beabbf2736670b767b4183306df52a12f66
Merge: c1ae9b3 8fb54bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 17:24:28 2025 +0100

    Merge branch 'dreibh/getopt'

commit 8fb54bf1ab5a076c25944bc5e3e85132b0908f7d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 17:20:36 2025 +0100

    A small clean-up.

commit d327a527ee660d43ec84a5618db65795576464e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 1 17:20:36 2025 +0100

    A small clean-up.

commit c1ae9b366a2c7c9ec59baab26a83df13e7a341ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 17:03:00 2025 +0100

    Bugfix: Need to set errno=0 to obtain possible error code from getline().

commit 9446326a60e3112de1b6dfe6ec48306b25a0b1de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:26:38 2025 +0100

    Fixed typo.

commit ee6bda047adf4b3872d80e5641ba5600b037301b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 30 17:09:58 2025 +0100

    Some improvements.

commit 2c298edb114e8e23ccb9036e5c896a866c6cf768
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 30 15:52:42 2025 +0100

    Some output improvements.

commit 7d266750193c8ce22e41725acc7f206e77560be4
Merge: d5fe0e2 c3bbdae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 21:47:45 2025 +0100

    Merge branch 'dreibh/getopt' into dreibh/x509

commit c3bbdae28b7ce683795f77f02e5120deeb32c6e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 21:13:46 2025 +0100

    Manpage improvements.

commit 9a2c5f36ea391cf17e8cf0c8cabfffefec285579
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 21:13:22 2025 +0100

    Configure-GRUB: some improvements, and change of parameter handling to getopt.

commit 4059235d464541985e282789eeb33994d0e61c71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:58:24 2025 +0100

    Reset-Machine-ID: changed script parameter handling to getopt.

commit 39c4727eb246d18fffdd1bf659574c3d8606afee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:48:00 2025 +0100

    Further manpage updates and small clean-ups.

commit 161eaa2d07fc930c382ef48c9939334c88ee928e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:36:55 2025 +0100

    Improved manpage.

commit 43c0f7a2044fb5008b6b210e28596f175d35da80
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:31:48 2025 +0100

    Small manpage improvements.

commit 0a2108d223961be9321301c1b5e43338e0750179
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:31:39 2025 +0100

    Further clean-ups and manpage update.

commit f180a23ce7832f69a7ea9297b7a2d727d4e9c85e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:31:27 2025 +0100

    Further clean-ups and manpage update.

commit 0a0c30aa47c23cf05368d9c6b37227ba46184107
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:31:03 2025 +0100

    System-Maintenance: changed script parameter handling to getopt.

commit d611332031fd3c914ba22410a3337a993622f20e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:30:51 2025 +0100

    System-Info: changed script parameter handling to getopt.

commit 25302f6ea3976126d7007ac19bdb988941033a81
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:20:05 2025 +0100

    Further clean-ups and manpage update.

commit c26a2d7f5cd5eacc9f7662b26500bf71f0497b3f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:19:44 2025 +0100

    Fingerprint-SSH-Keys: changed script parameter handling to getopt.

commit 1fa0970a8bf2b75788d908c5f825e0f53009f32d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:19:25 2025 +0100

    Further clean-ups and manpage update.

commit 781402dec225ee1026dba9271f95eeccfc8595a3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:07:57 2025 +0100

    FreeBSD needs getopt as dependency.

commit 0d1178ff008ca827b315bfcf359341129aeaa1e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 20:06:33 2025 +0100

    Try-Hard: changed script parameter handling to getopt.

commit d5fe0e2d6cdac84c4796eb39bbde881433c2a16f
Merge: 8019734 2f228cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 19:52:56 2025 +0100

    Merge branch 'master' into dreibh/x509

commit 2f228cb24828349bc1a6a557d223c56af2346609
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 19:52:28 2025 +0100

    Minor simplifications.

commit 8019734da92784f85100ea9e23069d5295eedc31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 19:48:48 2025 +0100

    Minor fixes.

commit 62a5f97f14c622a284c07f130939ca21cfc47f86
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 19:46:23 2025 +0100

    Some clean-ups.

commit 73471dbcac47812d5014298ee121b2294a9a9bee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 13:13:54 2025 +0100

    Added test script.

commit a8247fb8066be128d35ea88fc066a6316b19523c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 29 13:13:43 2025 +0100

    Improved scripts.

commit 7e962df88c7c7133ccb9ee51c462ab3542b4d612
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 21:04:44 2025 +0100

    Some updates.

commit 52a39fbdfbd1af2ec5b720e1386095b38a520a5d
Merge: ba56fb2 c5bb241
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 21:00:50 2025 +0100

    Merge branch 'dreibh/x509' of github.com:dreibh/system-tools into dreibh/x509

commit ba56fb240fd7861101908f53bbd248c9a079819c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 21:00:38 2025 +0100

    Some updates.

commit c5bb2411806e6f5e64ad4e52887b53407a841347
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 14:58:06 2025 +0100

    Some progress.

commit ab1158c831b8d2f2a7bd7d2640e90a3bc0572d1e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 14:56:58 2025 +0100

    Some updates and clean-ups.

commit 93935927835fcb72aa8b5ca0ce747342cd065301
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 14:46:54 2025 +0100

    Further script improvements.

commit 0b2933f62e8efd06b6c1356a65472f619649d269
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 14:46:35 2025 +0100

    Minor update.

commit b6b6ffeea1034e19e545de42dd42df84bdad09ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 14:18:24 2025 +0100

    Minor fixes.

commit 7e40bb5e85dbcfc3dc6abcd05bacff685f42c238
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 12:58:10 2025 +0100

    Added initial translation files for X.509 Tools.

commit 049d2173d7e7a68f2856e903c76b3d37c0e8dadc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 12:58:03 2025 +0100

    Packaging updates.

commit 1b28b8bbd88f899013817a9862e293214d7e4a0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 12:44:01 2025 +0100

    Further packaging updates.

commit f3a2d2d31db2b36c198e76ee581c3d4c223c59f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 12:21:29 2025 +0100

    Improved manpage documentation.

commit bd5029c30446732ba15e67ce6009eabf275f9da9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 12:12:45 2025 +0100

    Added manpage and shell completion.

commit ba5ac47d2d43bea4a3dcc83052e37c09146914d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 11:55:16 2025 +0100

    Improved script.

commit 40b47e897d18c04062421d2bd541e1f844bba1bb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 11:04:32 2025 +0100

    Improved manpages.

commit f68254080b917c17228cb1acf57425b31e33e74d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:58:52 2025 +0100

    Added build configurations.

commit 47b80796777b06c49484409368d8b7275173aeb2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:55:41 2025 +0100

    Added option to skip displaying the certificate before verification.

commit 19263dbf80f8f87434fb22d2b40c1c890c1dbef6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:50:56 2025 +0100

    Further improvements and clean-ups.

commit 88a0e076f23f1ddade1c0febfc4f0f152469a56f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:39:34 2025 +0100

    Added comment.

commit 4e72b8efbffdeaeeaea9ed343ae3ee23cb039515
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:39:27 2025 +0100

    Further improvements.

commit 9fe365b91a496b245100f3025c2e77806e40672f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:26:36 2025 +0100

    Added gettext support.

commit 8eb32ea8eec13bcc54e32594b2ebae7cde90897b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:06:13 2025 +0100

    Minor clean-ups.

commit f07403a41c93aa9ba0dd7f93c3c587820bebe9ee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 28 10:03:20 2025 +0100

    Improved script.

commit e00cdc656a95081020930e07d117ff50ab899f0f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:59:41 2025 +0100

    Updated manpage and shell completion.

commit 2859501fa303c6acc3acd0c7a11c1340fb0ecf0f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:59:31 2025 +0100

    Some output improvements.

commit 722b2df06ded8f5ec379414065eb27124983e928
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:33:16 2025 +0100

    Some clean-ups.

commit bea0566455513e4f3fbb199bf7acbff29855ab92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:29:43 2025 +0100

    Improved script, shell completion, and manpage.

commit 1b6932709224de8794c7a79e5b9ace5496455a3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:29:31 2025 +0100

    Improved log output.

commit 60a1bef77859d38828d95827a085cb0939dd8d7a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 16:08:05 2025 +0100

    Improved script, shell completion, and manpage.

commit da14a0e63be937d291867ddafc6950ef9e8acb0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 15:46:23 2025 +0100

    Added option to only extract the first entry.

commit 0b9c2a2776673252aa7c83b13b0f7698d08e4937
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 15:34:00 2025 +0100

    Minor update.

commit c8c25d503839c154883e33d0d069090ef8b23399
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 15:33:49 2025 +0100

    Added manpage.

commit 326ca6dd5648a058188c6ad47b442646c058edf1
Merge: e94a66e af880af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:38:15 2025 +0100

    Merge branch 'master' into dreibh/x509

commit 77c64d36c5f692057ab46fd3cc9d9d8be51b8e0f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:35:28 2025 +0100

    Updated FreeBSD port.

commit af880afe030457bdfdc5d7f8ecc78127a3c57522
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:27:54 2025 +0100

    New release td-system-tools-2.1.7.

commit aea3fbd71d9f5e4e09b9149a2d2593eda9b1e709
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:16:57 2025 +0100

    Updated PO files.

commit ff01d54927f32e5b24b3fe6383b56e805df39c57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:16:43 2025 +0100

    Yet another ShellCheck clean-up.

commit 3d199b4f93883a52acf2b80da1df18898213333c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:14:46 2025 +0100

    Some more ShellCheck clean-ups.

commit 03211b14f9c0850039bdcbdca3e778e25a0a748e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:11:54 2025 +0100

    ShellCheck clean-ups.

commit 7f4d18ea327fdafdb25cc65c56493061c22ceee1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 14:00:37 2025 +0100

    Minor update.

commit 9b4531bcfb5db19336849704abec633681a081ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 13:56:32 2025 +0100

    Improved examples.

commit 0a4927cef16e884b0b37ee84b1f57300b701d26f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 13:56:18 2025 +0100

    Updated example.

commit f6f7429978bb42e7060250389c604251de867bcd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 27 13:39:31 2025 +0100

    Improved example.

commit e94a66e3bf0f07a3805b173f354f36fb493c8bc6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 26 11:56:06 2025 +0100

    Updated CMakeLists.txt.

commit 575f08ad50afe27827a14fb7e91c5754c51dd114
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 26 11:52:41 2025 +0100

    Added manpage and shell completion for view-certificate.

commit f5aaa5bc4e350d6bf3db160c76dc2aa01b89252d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 13:19:28 2025 +0200

    Minor update.

commit 962abcafa63a280247bea148075f3509d6a86443
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 13:00:20 2025 +0200

    Some improvements.

commit 2bc0587d5d0fee680762cec7588c2be575bfd6a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:53:07 2025 +0200

    Updated CMakeLists.txt.

commit 60d327d3dc69fd4277113d1bf3ac2fd307187413
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:51:10 2025 +0200

    Minor improvements. Added manpage and bash completion.

commit f478d7071a89fcbae3b6f193078e224498e1078d
Merge: 98a79c1 a1e7dd3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:16:49 2025 +0200

    Merge branch 'master' into dreibh/x509

commit a1e7dd3854d2e2ad1dfdff62955ddf3b20e730f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:16:27 2025 +0200

    Updated PO files.

commit f04a829e1493ba64256afc36e3c2d73b7fda79fe
Merge: 1e794cb ea9976d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:15:40 2025 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit ea9976d1441ae8ac3a2f1dff49c53fcf975d227d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 12:13:51 2025 +0200

    Removed obsolete build scripts.

commit f6dbdba60b03d9ea487edb0b043d24f296ee8ac6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 25 10:15:04 2025 +0200

    Parameter handling improvement.

commit 98a79c11fa1b5e8cf926a3b17c3e2551b6ad6315
Merge: 4a7bfe8 3b9302b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 13:23:57 2025 +0200

    Merge branch 'master' into dreibh/x509

commit b61b51833a1f16af0ff77a2830440b332e75acbd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:34:22 2025 +0200

    Updated FreeBSD port.

commit 3b9302b3f3d4e3f9b591b0058def77db76f2d3b0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:20:31 2025 +0200

    New release td-system-tools-2.1.6.

commit 4a7bfe875032bbef8859c05f48f2258007d65379
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:11:33 2025 +0200

    Simplified IP address sorting.

commit f3253e2ea89f79c29a319ef6af2d25be23657cd1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:09:20 2025 +0200

    Added original HiPerConTracer helper scripts.

commit bfdb9e140cc4c13488ba41161e95c7f824816e4c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 14 20:32:11 2025 +0200

    Fixed broken cross-references.

commit 9b5b9f39bb6cbcc243140a42e7dcdb9a5435cb7e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 14 20:16:13 2025 +0200

    Improved documentation.

commit e7051e1212ab29d0f45825f8d260b2b8d1629d56
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 14 19:27:27 2025 +0200

    Improved documentation.

commit f1f28a52e230e95d0f55d9d67eed28419f522bc8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 13 21:43:48 2025 +0200

    Minor documentation update.

commit 89bee14869795eeb3459b2719ce1f23a05c46832
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 13 20:18:29 2025 +0200

    Improved documentation.

commit 1e794cbf66f88d5f36dc898ba21a514e4b3be642
Merge: 6e6ac71 4eb896c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 9 23:25:17 2025 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 4eb896c74756f2b3f51fb9110d8f47abdbe9c029
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 8 09:10:56 2025 +0200

    New release td-system-tools-2.1.5.

commit 8215df598ec2d420e6f4d993669c7485f391c44b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 8 01:10:36 2025 +0200

    Updated configuration.

commit 9276e1e5798e8cda1fe96bd50c79087eb36b2100
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 8 00:54:49 2025 +0200

    Another C 17 update.

commit 46c363f45cde64f26ffa036dd7bbebbb7b4c93d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 8 00:53:06 2025 +0200

    Relaxed C standard requirement, to allow build with C 17.

commit d57df550f0683fba7d446368d8ba5ae8e909002c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 8 00:39:19 2025 +0200

    Some testing.

commit 6e6ac710477f7ff7cbee62e73053aab72bcaae52
Merge: 888aecd d8e87dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 28 15:55:37 2025 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit 888aecd7cc6486a9a0c21afff10ac54e60b393c8
Merge: 124cbb7 874f68f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 28 15:55:13 2025 +0200

    Merge branch 'master' into dreibh/gimp-scripts

commit d8e87dd6ac9555945a1454050b3da6478ef2095a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 25 17:14:58 2025 +0200

    FreeBSD packaging update.

commit 874f68f05be8d47145eb1a059952c0660dd8c4f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 21 18:06:34 2025 +0200

    New release td-system-tools-2.1.4.

commit 87609de908a0453e265fc5da5ac491a698be6a76
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 11 20:50:44 2025 +0200

    Minor clean-ups.

commit 066a2de3eaa306d6160a52e53816fac16ff7e61a
Author: NorNet Praesum Presum <nornetpp@flemma.crnalab.net>
Date:   Thu Sep 11 20:41:02 2025 +0200

    Bugfix: System-Maintenance now properly handles "+" in Debian 13 kernel versions.

commit 3b22306f61e0b078121159884d069d2a94d952da
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 11 20:15:16 2025 +0200

    Minor clean-ups.

commit 2372abc982ffbd531fa69c513897636d2d5a6efe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 15:19:19 2025 +0200

    Bugfix: getopt() parameter handling requires "--" before the string, to avoid looking for further options in the string.

commit dcf569b5e13cd436b4ca64e9fddd19ab222a7d7b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 14:12:20 2025 +0200

    A small fix.

commit fb10e4fd359d3ac453622cd835460d946de2549b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 14:09:15 2025 +0200

    Improved manpage.

commit 6d208fb4b1d1272debd2e7f84dcda0fcbec0cda9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 14:06:54 2025 +0200

    Also host ID for Debian Popularity Contest configuration.

commit de2c8ff5a85a01bc4e8722ea4dd030ad137116c0
Merge: 6f8746f 0e6f135
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 12:08:23 2025 +0200

    Merge branch 'master' of github.com:dreibh/system-tools

commit 6f8746fa320414c3807484fd5023115672d7315a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 12:08:09 2025 +0200

    Removed obsolete comment.

commit 0e6f135a258cf991dbf399a8f44bf391c5629b9d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 9 21:27:24 2025 +0200

    Documentation formatting improvements.

commit d9362f13d6a8c4284ea629854c0daf01f10de141
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 9 20:36:20 2025 +0200

    Minor update.

commit ae0319aa9e194a5322eeef5dfe1e6908a010a389
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 9 09:55:02 2025 +0200

    Documentation update.

commit 5112635a7731dda16ceda5fe9fdf874473be70b8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 15:37:20 2025 +0200

    Small README.md updates.

commit 267880552ac3a02e603f8fcdebc2f88d053d6134
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 15:30:49 2025 +0200

    Fixed link.

commit d78bdddc5c4f2d4643d3ca8acc5455aa91012402
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 15:28:13 2025 +0200

    Small documentation improvements.

commit a5ede1151afe58a5ec934b3ddf5338e7e5a7789e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 15:20:39 2025 +0200

    Improved documentation.

commit d2a373a2c6d75e396d4a4ae4f0c6f56afcb0dabb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 14:57:34 2025 +0200

    Added file.

commit 942c7f1f85aa2d9f1094cb175f0f463af530162e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 8 14:39:17 2025 +0200

    Improved README.md.

commit 87d2d6cf795cd8a2d963432375ea2e955f447ef2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Sep 5 14:48:25 2025 +0200

    Updated documentation in README.md.

commit 035afcb659235ce6f6379ee9e6fbb80ecf3720be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Sep 5 14:27:42 2025 +0200

    Minor README.md update.

commit 3e6fce97f450bc9520dc6ed380f51153b95d03c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 14 00:09:10 2025 +0200

    Updated CI configuration

commit 9151ef907d2533938f5c49e4e3a0ea34a0fa9401
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 14 00:09:08 2025 +0200

    Updated CI scripts

commit 124cbb7a52a5ef3c33adbf7a774ac84d7f890f00
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 12 14:24:32 2025 +0200

    Updated CI scripts

commit 7129e29e1a95a9a52814561c91107e2fc3da1053
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 12 11:35:55 2025 +0200

    Updated workflows.

commit 8ea8b9f0501518746d1cba8375c159376bd8b59c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 14:57:05 2025 +0200

    Renamed another script, and some clean-ups.

commit d4fe2862a69133e86461e1aa26596ac5869a391d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 14:46:19 2025 +0200

    Renamed script.

commit 1c55c281ae22330bb62d046e8b21726f651d46cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 14:42:45 2025 +0200

    Renamed script.

commit 8192a2c61601f6f55df261c9eebcf13b02eb0b83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 14:11:11 2025 +0200

    Updated FreeBSD port.

commit ee5aaf6ab0fbc339cf631d3e9b6be79b752f9993
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 10:14:40 2025 +0200

    Updated test script.

commit 7f73075f62b8b0b21807bf208595153670c58e4e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 09:51:20 2025 +0200

    Header updates.

commit 82c564803c22e0d08267169b9b7f885adede5612
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 9 09:47:21 2025 +0200

    Added initial version of the scripts.

commit c9ddf2d7a47e8f5a1fcef3ef1fa47516cf2be5dc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 23:10:53 2025 +0200

    New release td-system-tools-2.1.3.

commit fc8f40511d68eff335b9dae933e672398de6b891
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 12:17:36 2025 +0200

    Added missing translations.

commit 1fc8138e5b7106834dc990ab5df1ce349d6ec256
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 12:08:03 2025 +0200

    Moved Print-UTF8 into separate subdirectory.

commit 2490adeecbd9924b23334a60bfc9adbdce65b241
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 12:03:33 2025 +0200

    Moved Try-Hard into separate subdirectory.

commit 5e5f426a22ffcca73a6792948f8360a6c2b5dfe5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 12:01:44 2025 +0200

    Moved Text-Block into separate subdirectory.

commit 31ff3d692d8a782e62fcc988eb3ae5d469fac68b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:58:04 2025 +0200

    Moved Random-Sleep into separate subdirectory.

commit 6bb41273899b5c5d966535a8ab53198adc0ec043
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:54:32 2025 +0200

    Moved Configure-GRUB into separate subdirectory.

commit ee61d52e17220e905b82d3ca5610e282e27a1a09
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:51:59 2025 +0200

    Moved Reset-Machine-ID into separate subdirectory.

commit a0bc7b39f34509f2cfdd5a8e15597349befe4beb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:49:47 2025 +0200

    Moved Fingerprint-SSH-Keys into separate subdirectory.

commit c91123a1c0966c8f7a03a73e731989b52f5e1220
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:47:17 2025 +0200

    Moved System-Maintenance into separate subdirectory.

commit 065cff940d01d0523bc0075b4bd9a80bcec574d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jul 8 11:42:29 2025 +0200

    Moved System-Info into separate subdirectory.

commit d6fb4e831c6fcb347ac53d0305240395646c35de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 10:17:54 2025 +0200

    Updated distinfo.

commit a13fcff65ae1d4697fd7d85538857a2af4cde235
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 10:04:23 2025 +0200

    New release td-system-tools-2.1.2.

commit 623a40e4cb30f74e0590866b168dae825866aab0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 17 23:07:08 2025 +0200

    Minor clean-ups.

commit 9614bfd481c5816dd5ba5f3acc167a4c4857cf39
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 17 23:03:33 2025 +0200

    Removed now unnecessary Bash 5.2.21 "printf" bug work-around.

commit e21318394e5cde2a1f99433a2e05ea93f070e0d8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 11:35:12 2025 +0200

    Updated FreeBSD port.

commit 6585fdd3b7615d9190dbe23218c0aa42b78ef7e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:51:07 2025 +0200

    New release td-system-tools-2.1.1.

commit 69294977b70873d0d5e7c78447da495134900a69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:24:25 2025 +0200

    Updated CI configuration

commit 48b58d6e44d1597bba157b089fd4d88c7ef15d63
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:24:22 2025 +0200

    Updated CI scripts

commit 4f90161dd8b4a76f423a050987ea45904b593ddf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:24:19 2025 +0200

    Updated build scripts

commit 0d347201f4ffe1173f7884674c51d76fbb6ff3db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun May 11 21:02:12 2025 +0200

    Improved manpage. Also fixed too-long lines with hyphenation suggestions \% => no need for Lintian override any more.

commit fa24c68be02a7dfca8812eb4cccafaedb70c7d23
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 17:07:06 2025 +0200

    Removed debug output.

commit 712ad3f568e7a633aade4dd0650d5d8f063f65c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 11:42:31 2025 +0200

    Added missing Text-Block options to shell completion.

commit 62da1ead12bb5af8efd2a3975ce2d15ba21baadd
Merge: 0103c17 3e5c731
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 11:41:32 2025 +0200

    Merge branch 'dreibh/text-block'

commit 3e5c731430793a9a53a2d12b779ffb7b552b7fc5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 11:19:03 2025 +0200

    Updated test script.

commit b43e614ea08c702d018583893cf2a904bd616f7a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 11:15:50 2025 +0200

    Bugfix: Separator must have a separator string of width >= 1, in order to not cause an infinite loop.

commit 3314cc5aedc15ba15c6e3b94fb4ce3a56015c6e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 10:34:44 2025 +0200

    Bugfix: Fixed possible memory leaks found by static analysis.

commit a445cdb71f99c6776f3242ee1aba4f865b85df54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 10:17:39 2025 +0200

    Bugfix: Fixed potential error cases found by static analysis.

commit bad03668230a56adbf2e081f291729a9304ceebe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat May 10 10:05:15 2025 +0200

    Improved in-place and keep-broken options handling.

commit 828d25bbd8b2d4fdd1f7ef64ded53b4ba63c4ffa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 9 08:54:51 2025 +0200

    Some work on update options.

commit 0103c17d1f97ed6d9f1b0e9c9d2dd4bd9272671b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 8 22:45:42 2025 +0200

    Minor fix.

commit c122646e6fe56ba0910c5b832d97864b734a0f05
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 8 22:44:40 2025 +0200

    Some message clean-ups.

commit 604701627678832cc43bd83f4683e1a458b8ffed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 8 22:25:08 2025 +0200

    Added missing insert/replace from standard input.

commit f106ac799ce228e5157fcd3e2fab206b52aeff27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 20:19:29 2025 +0200

    Updated FreeBSD port.

commit 8ff347c38ce733a5455ff54ef75da871deacc419
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 14:15:09 2025 +0200

    New release td-system-tools-2.1.0.

commit aefe815f79164563e32917e464225c768a1523d8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 12:09:31 2025 +0200

    Minor documentation update.

commit bf30a3154ffee25f631ca595327da3cfae0eb885
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 11:57:08 2025 +0200

    Improved documentation.

commit 79b9310235cb290d2d4164c2aeb74637c213dcf2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 11:10:16 2025 +0200

    Added test script.

commit b430b49339e4585e2010b3f713343162891c3324
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 10:29:20 2025 +0200

    Improved documentation.

commit bda30e9c8c423d7ca9a8e6c57e5fd480454e2b11
Merge: 7dd7ab2 7a8d26b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 15:03:54 2025 +0200

    Merge branch 'master' into dreibh/text-block

commit 7a8d26b04042b5b47dd70a686babc510d1f008c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 14:58:24 2025 +0200

    New release td-system-tools-2.0.10.

commit 7dd7ab2ed59bccea6370bdcb6915d1238a9b65d1
Merge: baaca99 d8719e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 14:48:22 2025 +0200

    Merge branch 'master' into dreibh/text-block

commit d8719e1bad49eac1982bb5e2ed3f183a89e028ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 12:47:39 2025 +0200

    Manpage fix.

commit baaca996c27fc1655470327f0af9a5a2fef4f620
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 12:36:44 2025 +0200

    Header updates.

commit 0225430b53775643225e8daa31d78604e4b26133
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 12:36:26 2025 +0200

    Improved input file and options handling in CMakeLists.txt.

commit d6fb77d9a4593a3a637eb1013c4548c00fdb5fa0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 11:44:53 2025 +0200

    Header updates.

commit 49741d2495b9fa1feb0f33eaf6c4585c92970db1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 11:39:12 2025 +0200

    CMakeLists.txt improvement: Using --no-wrap for xgettext and msgmerge.

commit 304f26c55a4ef71e22f513dba9cac53ae8d8b58e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 11:39:05 2025 +0200

    Updated translations.

commit e8c4c116f8ad574ea603a2c276bb9763ed281d7f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 11:38:46 2025 +0200

    Improved output messages.

commit b3b82e364f4572aa0689b4e4a2ba6f0026929b73
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Apr 26 10:44:48 2025 +0200

    Some improvements.

commit 1c717c64dd5641171e8ab925e70ae62bf8a81e9b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 17:50:16 2025 +0200

    Another update.

commit fa82e854164ac8933a91828d2cc049e1b8d6380b
Merge: a7834b1 9b1de98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 17:49:14 2025 +0200

    Merge branch 'dreibh/text-block' of github.com:dreibh/system-tools into dreibh/text-block

commit a7834b1676dde2487aa92bf12e1bc790e8298641
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 17:49:01 2025 +0200

    Minor fix.

commit 9b1de981668b0879c8c3da529b08bf4d5e68b63e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 16:38:33 2025 +0200

    Minor update.

commit 2efefbb97058c7fd9fb90246fd70d5abd949c545
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:41:54 2025 +0200

    Some updates.

commit 0b3f71c7dbffe890b7213e814d0d6058ddf704b7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:34:29 2025 +0200

    Packaging updates.

commit 31f001e08ebfdde086193b22d2b07f378a1e712e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:31:53 2025 +0200

    Updated translations.

commit 80803fa1072c777a9f0bc6f4db580334866c3522
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:27:24 2025 +0200

    Small fixes.

commit 52f13f8d16e34b9a88989250141f09b3919d8d6f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:26:46 2025 +0200

    Minor update.

commit f21b2ed343bb2b1f5a0898a00b23c5a2fdee97e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:09:02 2025 +0200

    Minor clean-ups.

commit c6819e4a9eac05fdf56f032f3a4d9344dbdc9558
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:07:38 2025 +0200

    Further clean-ups.

commit 7084007db393fad36bc205968e9006b67d15c893
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 09:06:15 2025 +0200

    Some clean-ups.

commit e28735409ce5fae5b56f9949f6d49f96961c87fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 25 08:33:16 2025 +0200

    Updated .po files.

commit 8fb73d1d93f6ec8c6273c2bdbb1bb67879b22536
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 14:59:20 2025 +0200

    Fixed FreeBSD build.

commit a8200a0cad587521626da82f2202d4cc63d520d0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 14:56:24 2025 +0200

    Further clean-ups.

commit 1489cbbee599899e53ab67840369ec959f9c78c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 10:14:54 2025 +0200

    Updated shell completion.

commit f5865718efb390d626cc67af4f586517ecb4671f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 10:13:39 2025 +0200

    Improved manpage.

commit a787b22a3e3e608b5f6d5e1c72f5f926a7ad8545
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 10:00:34 2025 +0200

    Further clean-up.

commit d124e1080942a2be6f9aa04e155bec7824356626
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 10:00:06 2025 +0200

    Some clean-ups.

commit b8f26b487d1f77f437e9382d71b40bef4e8bde3a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 09:59:38 2025 +0200

    Added options for limiting the number of actions.

commit 90e1f3af3d6bce28a8ca42286a1898a65a6917db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 09:32:29 2025 +0200

    Now using C23 standard.

commit ba454c84653159972fd6ba943c32f7f4def75b1e
Merge: cef8d25 233fbc8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 09:28:03 2025 +0200

    Merge branch 'master' into dreibh/text-block

commit cef8d25c1b2e9aa4bc3e906ba9e5086f13a0894a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 08:10:45 2025 +0200

    Some clean-ups.

commit dd5df80c07b0b0059a6c6775fce81d6f90a8bf27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 14 22:43:22 2025 +0200

    Some code clean-ups.

commit 392205401ffc02baea6ee1e0ed7ae4c5b48152ef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 14 22:29:47 2025 +0200

    Improved examples on manpage.

